<?php
$img_size = '';
if(!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = 'full';
}
if ( ! empty( $settings['link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['link']['url'] );

    if ( $settings['link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-icon-box pxl-icon-box3 <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <div class="pxl-item--inner">
        <div class="pxl-icon--content pxl-item--front">
            <?php if(!empty($settings['logo_dark']['id'])) {
                $img_dark = pxl_get_image_by_size( array(
                    'attach_id'  => $settings['logo_dark']['id'],
                    'thumb_size' => 'full',
                    'class' => 'no-lazyload dark',
                ));
                $thumbnail_dark = $img_dark['thumbnail'];
                echo wp_kses_post($thumbnail_dark);?>                                
            <?php } ?>
            <?php if(!empty($settings['logo_light']['id'])) {
                $img_light = pxl_get_image_by_size( array(
                    'attach_id'  => $settings['logo_light']['id'],
                    'thumb_size' => 'full',
                    'class' => 'no-lazyload light',
                ));
                $thumbnail_light = $img_light['thumbnail'];
                echo wp_kses_post($thumbnail_light);?>                                
            <?php } ?>
            <?php if(!empty($settings['desc'])) : ?>
                <span class="pxl-tab--des"><?php echo pxl_print_html($settings['desc']); ?></span>
            <?php endif; ?>
            <?php if(!empty($settings['button_text1'])) : ?>
                <div class="pxl-item--button">
                    <a <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
                        <span><?php echo esc_html($settings['button_text1']); ?></span>    
                        <svg xmlns="http://www.w3.org/2000/svg" width="19" height="14" viewBox="0 0 19 14" fill="none">
                          <path d="M1 7L18 7M18 7L11.625 1M18 7L11.625 13" stroke="#3C3C3C" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
                      </svg>        
                  </a>
              </div>
          <?php endif; ?>
      </div>      
      <div class="pxl-icon--content pxl-item--backdrop">
        <?php if(!empty($settings['logo_dark']['id'])) { 
            echo wp_kses_post($thumbnail_dark);                          
        } ?>
        <?php if(!empty($settings['logo_light']['id'])) {
            echo wp_kses_post($thumbnail_light);                          
        } ?>
        <?php if(!empty($settings['desc'])) : ?>
            <span class="pxl-tab--des"><?php echo pxl_print_html($settings['desc']); ?></span>
        <?php endif; ?>
        <?php if(!empty($settings['button_text1'])) : ?>
            <div class="pxl-item--button">
                <a <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
                    <span><?php echo esc_html($settings['button_text1']); ?></span>  
                    <svg xmlns="http://www.w3.org/2000/svg" width="19" height="14" viewBox="0 0 19 14" fill="none">
                      <path d="M1 7L18 7M18 7L11.625 1M18 7L11.625 13" stroke="#3C3C3C" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
                  </svg>          
              </a>
          </div>
      <?php endif; ?>
      <a class="pxl-item--link" <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>></a>
  </div>    
</div>
</div>