<?php
if ( ! empty( $settings['image_link']['url'] ) ) {
    $widget->add_render_attribute( 'image_link', 'href', $settings['image_link']['url'] );

    if ( $settings['image_link']['is_external'] ) {
        $widget->add_render_attribute( 'image_link', 'target', '_blank' );
    }

    if ( $settings['image_link']['nofollow'] ) {
        $widget->add_render_attribute( 'image_link', 'rel', 'nofollow' );
    }
} ?>
<div class="pxl-image-single pxl-image-single1 <?php if(!empty($settings['img_effect'])) { echo esc_attr($settings['img_effect']); } ?> <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <?php if($settings['source_type'] == 's_img' && !empty($settings['image']['id']) || $settings['source_type'] == 'f_img' && has_post_thumbnail()) : 
    $image_size = !empty($settings['img_size']) ? $settings['img_size'] : 'full';
    if(!empty($settings['image']['id'])) : $img_id = $settings['image']['id']; endif;            
    if ($settings['source_type'] == 'f_img' && has_post_thumbnail()) {
        $img_id = get_post_thumbnail_id(get_the_ID());
    }
    $img  = pxl_get_image_by_size( array(
        'attach_id'  => $img_id,
        'thumb_size' => $image_size,
        'class' => 'no-lazyload'
    ) );
    $thumbnail    = $img['thumbnail'];
    $thumbnail_url    = $img['url']; ?>

    <?php switch ($settings['image_type']) {
        case 'bg': ?>
        <div class="pxl-image-bg bg-image" style="background-image: url(<?php echo esc_url($thumbnail_url); ?>);"></div>
        <?php break;

        default: ?>
        <div class="pxl-item--image">
            <?php if ( ! empty( $settings['image_link']['url'] ) ) { ?><a <?php pxl_print_html($widget->get_render_attribute_string( 'image_link' )); ?>><?php } ?>
            <?php if ( ! empty( $img_id ) ) { echo wp_kses_post($thumbnail); } ?>
            <?php if ( ! empty( $settings['image_link']['url'] ) ) { ?></a><?php } ?>
        </div>
        <?php break;
    } ?>
<?php endif; ?>
</div>