<?php
$default_settings = [
    'user_type' => 'sign-in',
    'title' => '',
    'desc' => '',
    'btn_label' => '',
    'btn_text' => '',
    'btn_link' => '',
    'footer_text' => '',
    'footer_link' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
if ( ! empty( $btn_link['url'] ) ) {
    $widget->add_render_attribute( 'btn_link', 'href', $btn_link['url'] );

    if ( $btn_link['is_external'] ) {
        $widget->add_render_attribute( 'btn_link', 'target', '_blank' );
    }

    if ( $btn_link['nofollow'] ) {
        $widget->add_render_attribute( 'btn_link', 'rel', 'nofollow' );
    }
}
if ( ! empty( $footer_link['url'] ) ) {
    $widget->add_render_attribute( 'footer_link', 'href', $footer_link['url'] );

    if ( $footer_link['is_external'] ) {
        $widget->add_render_attribute( 'footer_link', 'target', '_blank' );
    }

    if ( $footer_link['nofollow'] ) {
        $widget->add_render_attribute( 'footer_link', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-user <?php echo esc_attr($settings['pxl_animate'].''.$settings['user_type']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
    <div class="pxl-user-inner">
        <div class="pxl-user-holder">
            <div class="pxl-user-meta">
                <?php if(!empty($title) && !is_user_logged_in()) : ?>
                    <h4 class="pxl-user-title"><?php echo esc_html($title); ?></h4>
                <?php endif; ?>
                <?php if(!empty($desc) && !is_user_logged_in()) : ?>
                    <div class="pxl-user-desc"><?php echo esc_html($desc); ?></div>
                <?php endif; ?>
                <?php if($user_type == 'sign-in') {
                  echo do_shortcode('[bravis-user-form form_type="login" is_logged="profile"]'); 
              } else {
                  echo do_shortcode('[bravis-user-form form_type="register"]');
              } ?>
          </div>  
          <?php if(!empty($btn_text)) : ?>
            <div class="pxl-user-bottom">
                <?php echo esc_attr($btn_label); ?>
                <a <?php pxl_print_html($widget->get_render_attribute_string( 'btn_link' )); ?>><?php echo esc_html($btn_text); ?></a>
            </div>   
        <?php endif; ?>
    </div>
    <?php if(!empty($footer_text)) : ?>
        <div class="pxl-user-footer">
            <a <?php pxl_print_html($widget->get_render_attribute_string( 'footer_link' )); ?>><?php echo esc_html($footer_text); ?></a>
        </div>
    <?php endif; ?>   
</div>
</div>