<?php
$active = intval($settings['active']);
extract($settings);
?>
<div id="nav" class="pxl-meta-box pxl-meta-box1 pxl-text-img-wrap pxl-parent-transition <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <div class="pxl-item--inner">
        <ul class="pxl-item--content">
            <?php foreach ($content_list as $key => $value):
               $is_active = ($key + 1) == $active;
               $link = isset($value['link']) ? $value['link'] : '';
               $image = isset($value['image']) ? $value['image'] : '';                                    
               $button_text = isset($value['button_text']) ? $value['button_text'] : '';                                    
               $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
               if ( ! empty( $link['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                if ( $link['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $link['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key );
            ?>
            <li class="list--item pxl-transtion <?php echo esc_attr($is_active ? 'active' : ''); ?>" <?php if(!empty($value['sub_title'])) { ?> data-text="<?php pxl_print_html($value['sub_title']) ?>"<?php } ?> data-target=".item-img-<?php echo esc_attr($key)?>">
                <a class="pxl-transtion" <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                    <?php if(!empty($value['title'])): ?>
                        <h5 class="item--title el-empty pxl-transtion"><?php pxl_print_html($value['title']) ?></h5>
                    <?php endif; ?>
                </a>
                <div class="pxl-item--image">
                    <?php if(!empty($image['id'])) {
                        $img = pxl_get_image_by_size( array(
                            'attach_id'  => $image['id'],
                            'thumb_size' => 'full',
                            'class' => 'no-lazyload',
                        ));
                        $thumbnail = $img['thumbnail'];
                        echo wp_kses_post($thumbnail);?>                                
                    <?php } ?>
                    <?php if(!empty($button_text)) : ?>
                        <div class="pxl-item--button">
                            <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                                <span><?php echo esc_html($button_text); ?></span>            
                            </a>
                        </div>
                    <?php endif; ?>
                </div>
            </li>
        <?php endforeach; ?>
    </ul>
</div>
</div>