<?php
$default_settings = [
    'gallery_list' => '',
    'filter_alignment' => '',
    'layout_mode' => 'masonry',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$img_size = '';
if(!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = '486x588';
}
$html_id = pxl_get_element_id($settings);
$limit = $widget->get_setting('limit', 6);
$filter_default_title = $widget->get_setting('filter_default_title', 'Show All');
$filter = $widget->get_setting('filter', 'false');
$filter_alignment = $widget->get_setting('filter_alignment', 'center');

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');

$col_xl = 12 / intval($col_xl);
$col_lg = 12 / intval($col_lg);
$col_md = 12 / intval($col_md);
$col_sm = 12 / intval($col_sm);
$col_xs = 12 / intval($col_xs);

$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$item_class = "pxl-grid-item col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
?>
<?php if(isset($settings['package']) && !empty($settings['package']) && count($settings['package'])): ?>
<div class="pxl-grid pxl-package-grid pxl-package-grid1 pxl-check-scroll <?php echo esc_attr($settings['scroll_effect']); ?>" data-layout="<?php echo esc_attr($layout_mode); ?>">
    <?php if ($filter == "true"): ?>
        <div class="pxl-grid-filter pxl-grid-filter1">
            <div class="pxl-filter--inner">
                <span class="filter-item active" data-filter="*"><?php echo esc_html($filter_default_title); ?></span>
                <?php 
                $displayed_categories = [];
                foreach ($settings['package'] as $key => $value):
                    $category = isset($value['categories']) ? $value['categories'] : '';
                    
                    if (!in_array($category, $displayed_categories) && $category !== ''):
                        $displayed_categories[] = $category;
                        ?>
                        <span class="filter-item" data-filter="<?php echo esc_attr($category); ?>">
                            <?php echo esc_html($category); ?>
                        </span>
                        <?php 
                    endif;
                endforeach; 
                ?>
            </div>
            <div class="filter-marker"></div>
        </div>

    <?php endif; ?>
    <div class="pxl-grid-inner pxl-grid-masonry row" data-gutter="15">
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
        <?php foreach ($settings['package'] as $key => $value):
           $category = isset($value['categories']) ? $value['categories'] : '';
           $title = isset($value['title']) ? $value['title'] : '';
           $position = isset($value['position']) ? $value['position'] : '';
           $sub_option = isset($value['sub_option']) ? $value['sub_option'] : '';
           $button = isset($value['button']) ? $value['button'] : '';
           $price = isset($value['price']) ? $value['price'] : '';
           $time = isset($value['time']) ? $value['time'] : '';
           $image = isset($value['image']) ? $value['image'] : '';
           $social = isset($value['social']) ? $value['social'] : '';
           $link = isset($value['link']) ? $value['link'] : '';
           $link_key = $widget->get_repeater_setting_key( 'link', 'value', $key );        
           if ( ! empty( $link['url'] ) ) {
            $widget->add_render_attribute( $link_key, 'href', $link['url'] );

            if ( $link['is_external'] ) {
                $widget->add_render_attribute( $link_key, 'target', '_blank' );
            }

            if ( $link['nofollow'] ) {
                $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
            }
        }
        $link_attributes = $widget->get_render_attribute_string( $link_key );
        ?>
        <div class="<?php echo esc_attr($item_class); ?>" data-filter="<?php echo esc_attr($category); ?>">
            <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>">            
                <?php if(!empty($image['id'])) {
                    $img = pxl_get_image_by_size( array(
                        'attach_id'  => $image['id'],
                        'thumb_size' => $img_size,
                        'class' => 'no-lazyload',
                    ));
                    $thumbnail = $img['thumbnail'];
                    $thumbnail_url = $img['url'];
                    ?>
                    <div class="item--featured" style="--pg-background-image: url('<?php echo esc_url($thumbnail_url); ?>');">
                        <?php if ( ! empty( $link['url'] ) ) { ?><a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                        <?php echo wp_kses_post($thumbnail); ?>
                        <?php if ( ! empty( $link['url'] ) ) { ?></a><?php } ?>
                    </div>
                <?php } ?>
                <div class="pxl-item--meta">
                    <?php if (!empty($title)) : ?>
                        <h3 class="pxl-item--title el-empty">
                            <?php if ( ! empty( $link['url'] ) ) { ?><a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                            <?php echo pxl_print_html($title); ?>
                            <?php if ( ! empty( $link['url'] ) ) { ?></a><?php } ?>
                        </h3>
                    <?php endif; ?>
                    <?php if (!empty($position)) : ?>
                        <div class="pxl-item--position el-empty"><?php echo pxl_print_html($position); ?></div>
                    <?php endif; ?>
                    <?php if (!empty($social)): ?>
                        <div class="pxl-options">
                            <?php
                            $team_social = json_decode($social, true);
                            foreach ($team_social as $value):
                                if (!empty($value['url'])): ?>
                                    <a href="<?php echo esc_url($value['url']); ?>">
                                    <?php endif; ?>
                                    <span><svg xmlns="http://www.w3.org/2000/svg" width="30" height="7" viewBox="0 0 30 7" fill="none"><g clip-path="url(#clip0_266_36811)"><path d="M12.0623 0H8.02055L0.583984 7H4.62575L12.0623 0Z" fill="#151515"/><path d="M19.8709 0H15.8291L8.39258 7H12.4343L19.8709 0Z" fill="#151515"/></g><defs><clipPath id="clip0_266_36811"><rect width="30" height="7" fill="white"/></clipPath></defs></svg><?php echo pxl_print_html($value['content']); ?></span>
                                    <?php if (!empty($value['url'])): ?>
                                    </a>
                                <?php endif;
                            endforeach;
                            ?>
                        </div>
                        <?php if (!empty($sub_option)): ?>
                            <div class="pxl-item--sub-option el-empty"><?php echo pxl_print_html($sub_option); ?></div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <div class="pxl-item--bottom">
                        <?php if(!empty($button)) : ?>
                            <div class="pxl-item--button">
                                <?php if ( ! empty( $link['url'] ) ) { ?><a class="btn btn-line" <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                                <span class="btn-text pxl-wobble" data-animation="pxl-xspin"><?php echo esc_html($button); ?></span>            
                                <?php if ( ! empty( $link['url'] ) ) { ?></a><?php } ?>
                            </div>
                        <?php endif; ?>
                        <div class="pxl-item--metas">
                            <h2 class="pxl-item--price">
                                <?php echo pxl_print_html($price); ?>
                            </h2>
                            <div class="pxl-item--time el-empty"><?php echo pxl_print_html($time); ?></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>    
    <?php endforeach; ?>
</div>
</div>
<?php endif; ?>
