<?php
global $post;
$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
$next     = get_adjacent_post( false, '', false );
if ( ! $next && ! $previous ) {
    return;
}
$next_post = get_next_post();
$previous_post = get_previous_post();

if( !empty($next_post) || !empty($previous_post) ) { ?>
    <div class="pxl-pagination1 <?php echo esc_attr($settings['style']); ?>">
        <?php if ( is_a( $previous_post , 'WP_Post' ) && get_the_title( $previous_post->ID ) != '') { ?>
            <div class="pxl--item item--prev">
                <?php if ($settings['style'] == 'arrow-long') {
                    echo '<svg xmlns="http://www.w3.org/2000/svg" width="32" height="9" viewBox="0 0 32 9" fill="none">
                    <g clip-path="url(#clip0_337_419)">
                    <path d="M6 4.48047V0.980469L3 2.73047L0 4.48047L3 6.23047L6 7.98047V4.48047Z" fill="white"/>
                    <path d="M32 4.48047H6" stroke="white"/>
                    </g>
                    <defs>
                    <clipPath id="clip0_337_419">
                    <rect width="32" height="8" fill="white" transform="matrix(-1 0 0 1 32 0.980469)"/>
                    </clipPath>
                    </defs>
                    </svg>';
                } else {
                    echo '<i class="fa fa-arrow-left"></i>';
                } ?>
                <a class="btn-nav" href="<?php echo esc_url(get_permalink( $previous_post->ID )); ?>"><span><?php echo esc_html__('Prev', 'kimono'); ?></span></a>
            </div>
        <?php } ?>
        <?php if ( is_a( $next_post , 'WP_Post' ) && get_the_title( $next_post->ID ) != '') { ?>
            <div class="pxl--item item--next">
                <a class="btn-nav" href="<?php echo esc_url(get_permalink( $next_post->ID )); ?>"><span><?php echo esc_html__('Next', 'kimono'); ?></span></a>
                <?php if ($settings['style'] == 'arrow-long') {
                    echo '<svg xmlns="http://www.w3.org/2000/svg" width="33" height="9" viewBox="0 0 33 9" fill="none">
                    <g clip-path="url(#clip0_337_426)">
                    <path d="M26.3984 4.48047V0.980469L29.3984 2.73047L32.3984 4.48047L29.3984 6.23047L26.3984 7.98047V4.48047Z" fill="white"/>
                    <path d="M0.398438 4.48047H26.3984" stroke="white"/>
                    </g>
                    <defs>
                    <clipPath id="clip0_337_426">
                    <rect width="32" height="8" fill="white" transform="translate(0.398438 0.980469)"/>
                    </clipPath>
                    </defs>
                    </svg>';
                } else {
                    echo '<i class="fa fa-arrow-right"></i>';
                } ?>
            </div>
        <?php } ?>
    </div>
    <?php } ?>