<?php
$html_id = pxl_get_element_id($settings);
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$select_post_by = $widget->get_setting('select_post_by', '');
$source = $post_ids = [];
if($select_post_by === 'post_selected'){
    $post_ids = $widget->get_setting('source_'.$settings['post_type'].'_post_ids', '');
}else{
    $source  = $widget->get_setting('source_'.$settings['post_type'], '');
}
$settings['layout']    = $settings['layout_'.$settings['post_type']];
extract(pxl_get_posts_of_grid('portfolio', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));

$pxl_animate = $widget->get_setting('pxl_animate', '');
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$pagination_type = $widget->get_setting('pagination_type','bullets');
$style = $widget->get_setting('style');
$arrows_style = $widget->get_setting('arrows_style','style1');

$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$pagination = $widget->get_setting('pagination', false);
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$center = $widget->get_setting('center', false);
$center = $widget->get_setting('center', false);
$show_category = $widget->get_setting('show_category', 'true');
$show_button = $widget->get_setting('show_button', 'true');
$button_text = $widget->get_setting('button_text');

$img_size = $widget->get_setting('img_size');
$img_size = '';
if(!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = '552x680';
}

$opts = [
    'slide_direction'               => 'vertical',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'center'                        => $center,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]); 
$total_posts = count($posts);
$posts_per_part = floor($total_posts / 3);
$remaining_posts = $total_posts % 3; 

$is_mobile = preg_match('/Mobile|Android|iPhone|iPad|iPod|Opera Mini/i', $_SERVER['HTTP_USER_AGENT']);

$first_three_posts = array_slice($posts, 0, $posts_per_part + ($remaining_posts > 1 ? 1 : 0));
if ($is_mobile) {
    $next_three_posts = $posts;
} else {
    $next_three_posts = array_slice($posts, count($first_three_posts), $posts_per_part + ($remaining_posts > 0 ? 1 : 0));
}

$third_three_posts = array_slice($posts, count($first_three_posts) + count($next_three_posts));

function render_social_share_buttons($post_id, $thumbnail_url)
{
    $post_title = urlencode(get_the_title($post_id));
    $post_url = urlencode(get_permalink($post_id));
    $share_facebook = "https://www.facebook.com/sharer.php?u=$post_url";
    $share_twitter = "https://twitter.com/share?url=$post_url&text=$post_title";
    $share_linkedin = "https://www.linkedin.com/shareArticle?mini=true&url=$post_url&title=$post_title";

    echo "
    <div class='item-meta'>
    <div class='social-share-buttons'>
    <a href='$share_facebook' target='_blank' class='share-facebook'><i class='bootstrap-icons bi-facebook'></i></a>
    <a href='$share_twitter' target='_blank' class='share-twitter'><i class='bootstrap-icons bi-twitter'></i></a>
    <a href='$share_linkedin' target='_blank' class='share-linkedin'><i class='bootstrap-icons bi-linkedin'></i></a>
    </div>
    <a href='$thumbnail_url' download class='download-image-button'><i class='fas fa-download'></i></a>
    </div>
    ";
}
?>

<?php if (is_array($posts)): ?>
    <div id="showcase-slider-holder1" class="pxl-portfolio-carousel3">
        <div id="showcase-slider-captions" class=" pxl-portfolio-carousel pxl-parent-cursor <?php echo esc_attr($style); ?> <?php if($center == 'true') { echo 'pxl--swiper-center'; } ?>"  data-cursor="-hidden">
            <div class="pxl-carousel-inner">
                <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                    <div class="pxl-swiper-wrapper">
                        <?php
                        foreach ($first_three_posts as $post):
                            $portfolio_external_link = get_post_meta($post->ID, 'portfolio_external_link', true);
                            $img_id = get_post_thumbnail_id( $post->ID );
                            if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                                $img1 = pxl_get_image_by_size( array(
                                    'attach_id'  => $img_id,
                                    'thumb_size' => $img_size
                                ) );    
                            $thumbnail1 = $img1['thumbnail'];
                            $thumbnail1_url = $img1['url'];
                            ?>
                            <div class="pxl-swiper-slide">
                                <a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>">
                                </a>
                                <div class="pxl-item--inner pxl-grid-item-inner<?php echo esc_attr($pxl_animate); ?>" data-wow-duration="1.2s">
                                    <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                                    $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false); ?>
                                    <div class="img-mask" style="background-image: url(<?php echo esc_url($thumbnail1_url); ?>);">
                                        <?php echo wp_kses_post($thumbnail1); ?>
                                    </div>
                                <?php endif; ?>
                                <div class="item--content">
                                    <h6 class="item--title"><a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a></h6>
                                    <?php if($show_category == 'true') : ?>                   
                                        <li class="item--category"><?php the_terms( $post->ID, 'portfolio-category', '' ); ?></li>  
                                    <?php endif; ?>
                                    <?php render_social_share_buttons($post->ID, $thumbnail1_url); ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>
<div id="showcase-slider" class=" pxl-portfolio-carousel pxl-parent-cursor <?php echo esc_attr($style); ?> <?php if($center == 'true') { echo 'pxl--swiper-center'; } ?>"  data-cursor="-hidden">
    <div class="pxl-carousel-inner">
        <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
            <div class="pxl-swiper-wrapper">
                <?php
                foreach ($next_three_posts as $post):
                    $portfolio_external_link = get_post_meta($post->ID, 'portfolio_external_link', true);
                    $img_id = get_post_thumbnail_id( $post->ID );
                    if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                        $img = pxl_get_image_by_size( array(
                            'attach_id'  => $img_id,
                            'thumb_size' => '552x412'
                        ) );    
                    $thumbnail = $img['thumbnail'];
                    $thumbnail1_url = $img['url'];
                    ?>
                    <div class="pxl-swiper-slide">
                        <div class="pxl-item--inner pxl-grid-item-inner<?php echo esc_attr($pxl_animate); ?>" data-wow-duration="1.2s">
                            <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                            $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false); ?>
                            <div class="img-mask" style="background-image: url(<?php echo esc_url($thumbnail1_url); ?>);">
                                <a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>">
                                    <?php echo wp_kses_post($thumbnail); ?>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="item--content">
                            <h6 class="item--title"><a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a></h6>
                            <?php if($show_category == 'true') : ?>                   
                                <li class="item--category"><?php the_terms( $post->ID, 'portfolio-category', '' ); ?></li>  
                            <?php endif; ?>
                            <?php render_social_share_buttons($post->ID, $thumbnail1_url); ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        <?php endforeach; ?>
    </div>
</div>
</div>
</div>
<div id="showcase-slider-lists" class=" pxl-portfolio-carousel pxl-parent-cursor <?php echo esc_attr($style); ?> <?php if($center == 'true') { echo 'pxl--swiper-center'; } ?>"  data-cursor="-hidden">
    <div class="pxl-carousel-inner">
        <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
            <div class="pxl-swiper-wrapper">
                <?php
                foreach ($third_three_posts as $post):
                    $portfolio_external_link = get_post_meta($post->ID, 'portfolio_external_link', true);
                    $img_id = get_post_thumbnail_id( $post->ID );
                    if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                        $img = pxl_get_image_by_size( array(
                            'attach_id'  => $img_id,
                            'thumb_size' => $img_size
                        ) );    
                    $thumbnail = $img['thumbnail'];
                    $thumbnail1_url = $img['url'];
                    ?>
                    <div class="pxl-swiper-slide">
                        <div class="pxl-item--inner pxl-grid-item-inner<?php echo esc_attr($pxl_animate); ?>" data-wow-duration="1.2s">
                            <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                            $thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false); ?>
                            <div class="img-mask" style="background-image: url(<?php echo esc_url($thumbnail1_url); ?>);">
                                <a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>">
                                    <?php echo wp_kses_post($thumbnail); ?>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="item--content">
                            <h6 class="item--title"><a href="<?php if(!empty($portfolio_external_link)) { echo esc_url($portfolio_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a></h6>
                            <?php if($show_category == 'true') : ?>                   
                                <li class="item--category"><?php the_terms( $post->ID, 'portfolio-category', '' ); ?></li>  
                            <?php endif; ?>
                            <?php render_social_share_buttons($post->ID, $thumbnail1_url); ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        <?php endforeach; ?>
    </div>
</div>
</div>
</div>
<?php if($arrows == true): ?>
    <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
        <?php if($arrows_style == 'style1') { ?>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                <span class="crossline1"></span>
                <span class="crossline2"></span>
            </div>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-next">
                <span class="crossline1"></span>
                <span class="crossline2"></span>
            </div>
        <?php } else if($arrows_style == 'style2') { ?>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                <span class="circle"></span>
                <i class="bi-arrow-left"></i>
            </div>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                <span class="circle"></span>
                <i class="bi-arrow-right"></i>
            </div>
        <?php } else { ?>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
        <?php } ?>
    </div>
<?php endif; ?>
<?php if($pagination !== false): ?>
    <div class="pxl-swiper-dots"></div>
<?php endif; ?>
</div>
<?php endif; ?>