<?php
$html_id = pxl_get_element_id($settings);
$source  = $widget->get_setting('source_'.$settings['post_type']);
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
$settings['layout']    = $settings['layout_'.$settings['post_type']];
extract(pxl_get_posts_of_grid('service', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));

$pxl_animate = $widget->get_setting('pxl_animate', '');
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$arrows_style = $widget->get_setting('arrows_style','style1');
$style = $widget->get_setting('style');
$pagination_type = $widget->get_setting('pagination_type','bullets');

$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$pagination = $widget->get_setting('pagination', false);
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$center = $widget->get_setting('center', false);

$show_category = $widget->get_setting('show_category', true);
$show_number = $widget->get_setting('show_number');
$show_button = $widget->get_setting('show_button', true);
$button_text = $widget->get_setting('button_text');

$img_size = $widget->get_setting('img_size');

$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);?>

<?php if (is_array($posts)): ?>
    <div class="pxl-swiper-sliders pxl-service-carousel pxl-service-carousel1 pxl-parent-cursor pxl-swiper-boxshadow pxl-drag-area <?php echo esc_attr($style); ?> <?php if($center == 'true') { echo 'pxl--swiper-center'; } ?>"  data-cursor="-hidden">
        <div class="pxl-carousel-inner">
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <div class="pxl-swiper-wrapper">
                    <?php
                    $style_sizes = [
                        'style1' => '837x1141',
                        'style2' => '848x512',
                    ];
                    $image_size = !empty($img_size) ? $img_size : ($style_sizes[$style] ?? '');
                    $key = 0;
                    foreach ($posts as $post):                        
                        $service_external_link = get_post_meta($post->ID, 'service_external_link', true);
                        $service_icon_type = get_post_meta($post->ID, 'service_icon_type', true);
                        $service_icon_font = get_post_meta($post->ID, 'service_icon_font', true);
                        $service_img_light = get_post_meta($post->ID, 'service_img_light', true);
                        $service_img_dark = get_post_meta($post->ID, 'service_img_dark', true);
                        $img_id = get_post_thumbnail_id( $post->ID );
                        if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)):
                            $img = pxl_get_image_by_size( array(
                                'attach_id'  => $img_id,
                                'thumb_size' => $image_size
                            ) );
                        $thumbnail = $img['thumbnail'];
                        ?>
                        <div class="pxl-swiper-slide">
                            <div class="pxl-item--inner <?php echo esc_attr($pxl_animate); ?>" data-wow-duration="1.2s">   
                                <a href="<?php if(!empty($service_external_link)) { echo esc_url($service_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>">
                                </a>                                   
                                <?php if($service_icon_type == 'icon' && !empty($service_icon_font)) : ?>
                                    <div class="item--icon">
                                        <i class="<?php echo esc_attr($service_icon_font); ?>"></i>
                                    </div>
                                <?php endif; ?>
                                <?php if($service_icon_type == 'image') : ?>
                                    <div class="item--icon">
                                        <?php if(!empty($service_img_light['url'])) {
                                            $icon_img_light = pxl_get_image_by_size(array(
                                                'attach_id'  => $service_img_light['id'],
                                                'thumb_size' => 'full',
                                                'class' => 'logo-light',
                                            ));
                                            $icon_thumbnail_light = $icon_img_light['thumbnail'];
                                            echo wp_kses_post($icon_thumbnail_light);
                                        } ?>
                                        <?php if(!empty($service_img_dark['url'])) {
                                            $icon_img_dark = pxl_get_image_by_size(array(
                                                'attach_id'  => $service_img_dark['id'],
                                                'thumb_size' => 'full',
                                                'class' => 'logo-dark',
                                            ));
                                            $icon_thumbnail_dark = $icon_img_dark['thumbnail'];
                                            echo wp_kses_post($icon_thumbnail_dark);
                                        } ?>
                                    </div>
                                <?php endif; ?>
                                <div class="item--content">
                                    <?php if($show_number == true): ?>
                                        <span class="item--count">
                                            <?php if($key < 10) {
                                                echo esc_attr(sprintf('%02d', $key+1));
                                            } else {
                                                echo esc_attr($key+1);
                                            } ?>
                                        </span>
                                    <?php endif; ?>
                                    <h6 class="item--title">
                                        <a href="<?php if(!empty($service_external_link)) { echo esc_url($service_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>">
                                            <?php echo esc_attr(get_the_title($post->ID)); ?>
                                        </a>
                                    </h6>
                                </div>
                            </div>
                        </div>
                    <?php endif;
                    $key++;
                endforeach; ?>
            </div>
        </div>
        <?php if($arrows == 'true'): ?>
            <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
                <?php if($arrows_style == 'style1') { ?>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                        <span class="crossline1"></span>
                        <span class="crossline2"></span>
                    </div>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-next">
                        <span class="crossline1"></span>
                        <span class="crossline2"></span>
                    </div>
                <?php } else if($arrows_style == 'style2') { ?>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                        <span class="circle"></span>
                        <i class="bi-arrow-left"></i>
                    </div>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                        <span class="circle"></span>
                        <i class="bi-arrow-right"></i>
                    </div>
                <?php } else { ?>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
                <?php } ?>
            </div>
        <?php endif; ?>
        <?php if($pagination !== 'false'): ?>
            <div class="pxl-swiper-dots"></div>
        <?php endif; ?>
    </div>
</div>
<?php endif; ?>