<div class="pxl-post-detail <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <?php if(!empty($settings['title'])) : ?>
        <h5 class="widgett-title <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s"><?php echo esc_html($settings['title']); ?></h5>
    <?php endif; ?>
    <div class="widget-inner">
        <?php if(isset($settings['items']) && !empty($settings['items']) && count($settings['items'])): ?>  
        <?php foreach ($settings['items'] as $key => $value):
            $content_type = isset($value['content_type']) ? $value['content_type'] : '';
            $label = isset($value['label']) ? $value['label'] : '';
            $content = isset($value['content']) ? $value['content'] : '';
            $show_star = isset($value['show_star']) ? $value['show_star'] : '';
            $star = isset($value['star']) ? $value['star'] : '';
            $post_type = isset($value['post_type']) ? $value['post_type'] : ''; ?>
            <div class="pxl--item <?php echo esc_attr($settings['pxl_animate'] .''. $content_type);?>" >
                <?php if(!empty($label)) : ?>
                    <span class="item--label"><?php echo esc_html($label); ?></span>
                <?php endif; ?>

                <span class="item--content">
                    <?php
                    switch ($content_type) {
                        case 'author':
                        echo the_author_posts_link();
                        break;

                        case 'date':
                        echo get_the_date();
                        break;

                        case 'category':
                        if ($post_type == 'post') {
                            the_terms(get_the_ID(), 'category', '', ', ');
                        } elseif ($post_type == 'service') {
                            the_terms(get_the_ID(), 'service-category', '', ', ');
                        } else {
                            the_terms(get_the_ID(), 'portfolio-category', '', ', ');
                        }
                        break;

                        case 'tag':
                        if ($post_type == 'post') {
                            the_terms(get_the_ID(), 'post_tag', '', ', ');
                        } elseif ($post_type == 'service') {
                            the_terms(get_the_ID(), 'service-tag', '', ', ');
                        } else {
                            the_terms(get_the_ID(), 'portfolio-tag', '', ', ');
                        }
                        break;

                        case 'star':
                        if ($show_star === 'true') {
                            ?>
                            <span class="pxl-item--star <?php echo esc_attr($star); ?>">
                                <i class="fas fa-star"></i>
                                <i class="fas fa-star"></i>
                                <i class="fas fa-star"></i>
                                <i class="fas fa-star"></i>
                                <i class="fas fa-star"></i>
                            </span>
                            <?php
                        }
                        break;

                        default:
                        echo esc_attr($content);
                        break;
                    }
                    ?>

                </span>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
    <div class="pxl-item--info">
        <?php foreach ($settings['infos'] as $key => $value):            
            $label_info = isset($value['label_info']) ? $value['label_info'] : '';
            $content_info = isset($value['content_info']) ? $value['content_info'] : ''; ?>
            <div class="pxl--item-info <?php echo esc_attr($settings['pxl_animate']);?>" >
                <?php if(!empty($label_info)) : ?>
                    <span class="item--label"><?php echo esc_html($label_info); ?></span>
                <?php endif; ?>
                <span class="item--content">
                    <?php
                    echo esc_attr($content_info);
                    ?>
                </span>
            </div>
        <?php endforeach; ?>
    </div>
</div>
</div>