<?php
if ( ! empty( $settings['button_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['button_link']['url'] );

    if ( $settings['button_link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['button_link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-pricing pxl-pricing1 <?php echo esc_attr($settings['pxl_animate'].' '.$settings['popular']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
    <?php if ($settings['popular'] == 'is-popular') {
        echo '<span class="most-popular">';
        echo esc_attr($settings['popular_title']);
        echo '</span>';
    } ?>
    <div class="pxl-item--holder">
        <h5 class="pxl-item--title el-empty"><span><?php echo esc_html($settings['title']); ?></span></h5>
        <div class="pxl-item--meta">
            <h2 class="pxl-item--price">
                <?php if (!empty($settings['currency'])) { ?>            
                    <span class="pxl-item--currency"><?php echo pxl_print_html($settings['currency']); ?></span>
                <?php } ?>
                <?php echo pxl_print_html($settings['price']); ?>
            </h2>
            <div class="pxl-item--time el-empty"><?php echo pxl_print_html($settings['time']); ?></div>
        </div>
        <?php if(isset($settings['feature']) && !empty($settings['feature']) && count($settings['feature'])): ?>
        <div class="pxl-item--feature">
            <?php foreach ($settings['feature'] as $key => $value): ?>
                <div class="<?php echo esc_attr($value['active']); ?>">
                    <?php if($value['active'] == 'non-active') { ?><del><?php } ?>
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="7" viewBox="0 0 20 7" fill="none">
                        <path d="M12.0623 0H8.02055L0.583984 7H4.62575L12.0623 0Z" fill="#FF4D24"/>
                        <path d="M19.8709 0H15.8291L8.39258 7H12.4343L19.8709 0Z" fill="#FF4D24"/>
                    </svg>
                    <?php echo pxl_print_html($value['feature_text'])?>
                    <?php if($value['active'] == 'non-active') { ?></del><?php } ?>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    <?php if(!empty($settings['button_text'])) : ?>
        <div class="pxl-item--button">
            <a class="btn btn-line" <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
                <span class="btn-text pxl-wobble" data-animation="pxl-xspin"><?php echo esc_html($settings['button_text']); ?></span>            
            </a>
        </div>
    <?php endif; ?>
</div>
</div>