    <?php
    $styleMappings = array(
        'style1' => 'displacements-01.jpg',
        'style2' => 'displacements-02.jpg',
        'style3' => 'displacements-03.jpg',
        'style4' => 'displacements-04.jpg',
        'style5' => 'displacements-05.jpg',
        'style6' => 'displacements-06.jpg',
        'style7' => 'displacements-07.jpg',
        'style' => 'webgl-01.jpg',
    );
    $imgds = isset($styleMappings[$settings['effect_style']]) ? $styleMappings[$settings['effect_style']] : '';

    $col_xs = $widget->get_setting('col_xs', '');
    $col_sm = $widget->get_setting('col_sm', '');
    $col_md = $widget->get_setting('col_md', '');
    $col_lg = $widget->get_setting('col_lg', '');
    $col_xl = $widget->get_setting('col_xl', '');
    $col_xxl = $widget->get_setting('col_xxl', '');
    if($col_xxl == 'inherit') {
        $col_xxl = $col_xl;
    }
    $slides_to_scroll = $widget->get_setting('slides_to_scroll');
    $arrows = $widget->get_setting('arrows', false);  
    $divider = $widget->get_setting('divider', false);  
    $arrows_style = $widget->get_setting('arrows_style','style1');
    $pagination = $widget->get_setting('pagination', false);
    $pagination_type = $widget->get_setting('pagination_type', 'bullets');
    $pause_on_hover = $widget->get_setting('pause_on_hover', false);
    $slide_mode = $widget->get_setting('slide_mode','slide');
    $autoplay = $widget->get_setting('autoplay', false);
    $autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
    $center = $widget->get_setting('center', false);
    $infinite = $widget->get_setting('infinite', false);  
    $speed = $widget->get_setting('speed', 500);
    $opts = [
        'slide_direction'               => 'horizontal',
        'slide_percolumn'               => 1, 
        'slide_mode'                    => $slide_mode, 
        'slides_to_show'                => (int)$col_xl, 
        'slides_to_show_xxl'            => (int)$col_xxl, 
        'slides_to_show_lg'             => (int)$col_lg, 
        'slides_to_show_md'             => (int)$col_md, 
        'slides_to_show_sm'             => (int)$col_sm, 
        'slides_to_show_xs'             => (int)$col_xs, 
        'slides_to_scroll'              => (int)$slides_to_scroll,
        'arrow'                         => (bool)$arrows,
        'pagination'                    => (bool)$pagination,
        'pagination_type'               => $pagination_type,
        'autoplay'                      => (bool)$autoplay,
        'pause_on_hover'                => (bool)$pause_on_hover,
        'pause_on_interaction'          => true,
        'delay'                         => (int)$autoplay_speed,
        'center'                        => $center,
        'loop'                          => (bool)$infinite,
        'speed'                         => (int)$speed
    ];
    $widget->add_render_attribute( 'carousel', [
        'class'         => 'pxl-swiper-container',
        'dir'           => is_rtl() ? 'rtl' : 'ltr',
        'data-settings' => wp_json_encode($opts)
    ]);
    if(isset($settings['slider2']) && !empty($settings['slider2']) && count($settings['slider2'])): ?>
        <div class="pxl-swiper-sliders pxl-slider-carousel pxl-slider-carousel10 pxl-parent-cursor pxl-parent-transition pxl-swiper-arrow-show <?php if($settings['effect_slide'] == 'true') { echo 'pxl-slider-carousel-effect'; } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>">
            <div class="pxl-carousel-inner">
                <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                    <div class="pxl-swiper-wrapper">
                        <?php foreach ($settings['slider2'] as $key => $value):
                            $image_light = isset($value['image4']) ? $value['image4'] : '';                        
                            $sub_text = isset($value['sub_text4']) ? $value['sub_text4'] : '';
                            $title = isset($value['title4']) ? $value['title4'] : '';
                            $desc = isset($value['desc4']) ? $value['desc4'] : '';
                            $video_link = isset($value['video_link']) ? $value['video_link'] : '';
                            $btn1 = isset($value['button_text1']) ? $value['button_text1'] : '';
                            $btn2 = isset($value['button_text2']) ? $value['button_text2'] : '';
                            $link1 = isset($value['btn_link2']) ? $value['btn_link2'] : '';
                            $link = isset($value['btn_link4']) ? $value['btn_link4'] : '';
                            $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
                            if ( ! empty( $link['url'] ) ) {
                                $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                                if ( $link['is_external'] ) {
                                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                                }

                                if ( $link['nofollow'] ) {
                                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                                }
                            }
                            $link_attributes = $widget->get_render_attribute_string( $link_key );
                            $link_key1 = $widget->get_repeater_setting_key( 'desc', 'value', $key );
                            if ( ! empty( $link1['url'] ) ) {
                                $widget->add_render_attribute( $link_key1, 'href', $link1['url'] );

                                if ( $link1['is_external'] ) {
                                    $widget->add_render_attribute( $link_key1, 'target', '_blank' );
                                }

                                if ( $link1['nofollow'] ) {
                                    $widget->add_render_attribute( $link_key1, 'rel', 'nofollow' );
                                }
                            }
                            $link_attributes1 = $widget->get_render_attribute_string( $link_key1 );
                            ?>
                            <div class="pxl-swiper-slide">
                                <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                                    <div class="pxl-item--content">
                                        <div class="content--inner pxl-transtion">
                                            <div class="content--wrapper">
                                                <?php if(!empty($sub_text)) : ?>
                                                    <div class="pxl-item--subtitle pxl-transtion" data-text="<?php echo esc_attr($sub_text); ?>"><?php echo pxl_print_html($sub_text); ?></div>
                                                <?php endif; ?>
                                                <?php if(!empty($title)) : ?>
                                                    <h2 class="pxl-item--title el-empty pxl-transtion" data-text="<?php echo esc_attr($title); ?>"><?php echo pxl_print_html($title); ?></h2>
                                                <?php endif; ?>
                                                <?php if(!empty($desc)) : ?>
                                                    <div class="pxl-item--desc pxl-transtion" data-text="<?php echo esc_attr($desc); ?>"><?php echo pxl_print_html($desc); ?></div>
                                                <?php endif; ?>
                                                <div class="pxl-item--link">
                                                    <?php if ( !empty( $link['url'] ) ) { ?>
                                                        <a class="item--button btn btn-line pxl-transtion" <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                                                            <span class="btn-text">
                                                                <?php if(!empty($btn1)) {
                                                                    echo pxl_print_html($btn1);
                                                                } else {
                                                                    echo pxl_print_html('VIEW DETAILS', 'kimono');
                                                                } ?>
                                                            </span>
                                                            <span class="button-arrow-hover"><<svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 11 11" fill="none">
                                                              <path d="M10.3824 0.85938V8.17188C10.3824 8.28378 10.338 8.39108 10.2589 8.47018C10.1797 8.54928 10.0724 8.59378 9.96065 8.59378C9.84875 8.59378 9.74145 8.54928 9.66225 8.47018C9.58315 8.39108 9.53875 8.28378 9.53875 8.17188V1.87891L1.25592 10.1547C1.1776 10.233 1.07137 10.277 0.960599 10.277C0.849839 10.277 0.743609 10.233 0.665289 10.1547C0.586969 10.0764 0.542969 9.97018 0.542969 9.85938C0.542969 9.74858 0.586969 9.64238 0.665289 9.56408L8.94105 1.28126H2.6481C2.53622 1.28126 2.42891 1.23681 2.34979 1.15769C2.27068 1.07857 2.22623 0.97127 2.22623 0.85938C2.22623 0.74749 2.27068 0.64019 2.34979 0.56107C2.42891 0.48195 2.53622 0.43751 2.6481 0.4375H9.96065C10.0724 0.43751 10.1797 0.48195 10.2589 0.56107C10.338 0.64019 10.3824 0.74749 10.3824 0.85938Z" fill="#1D1B21"/>
                                                          </svg><div><<svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 11 11" fill="none">
                                                            <path d="M10.3824 0.85938V8.17188C10.3824 8.28378 10.338 8.39108 10.2589 8.47018C10.1797 8.54928 10.0724 8.59378 9.96065 8.59378C9.84875 8.59378 9.74145 8.54928 9.66225 8.47018C9.58315 8.39108 9.53875 8.28378 9.53875 8.17188V1.87891L1.25592 10.1547C1.1776 10.233 1.07137 10.277 0.960599 10.277C0.849839 10.277 0.743609 10.233 0.665289 10.1547C0.586969 10.0764 0.542969 9.97018 0.542969 9.85938C0.542969 9.74858 0.586969 9.64238 0.665289 9.56408L8.94105 1.28126H2.6481C2.53622 1.28126 2.42891 1.23681 2.34979 1.15769C2.27068 1.07857 2.22623 0.97127 2.22623 0.85938C2.22623 0.74749 2.27068 0.64019 2.34979 0.56107C2.42891 0.48195 2.53622 0.43751 2.6481 0.4375H9.96065C10.0724 0.43751 10.1797 0.48195 10.2589 0.56107C10.338 0.64019 10.3824 0.74749 10.3824 0.85938Z" fill="#fff"/>
                                                        </svg></div></span>
                                                    </a>
                                                <?php } ?>
                                                <?php if ( !empty( $link1['url'] ) ) { ?>
                                                    <a class="item--button btn btn-line pxl-transtion" <?php echo implode( ' ', [ $link_attributes1 ] ); ?>>
                                                        <span class="btn-text">
                                                            <?php if(!empty($btn2)) {
                                                                echo pxl_print_html($btn2);
                                                            } else {
                                                                echo pxl_print_html('VIEW DETAILS', 'kimono');
                                                            } ?>
                                                        </span>
                                                        <span class="button-arrow-hover"><<svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 11 11" fill="none">
                                                          <path d="M10.3824 0.85938V8.17188C10.3824 8.28378 10.338 8.39108 10.2589 8.47018C10.1797 8.54928 10.0724 8.59378 9.96065 8.59378C9.84875 8.59378 9.74145 8.54928 9.66225 8.47018C9.58315 8.39108 9.53875 8.28378 9.53875 8.17188V1.87891L1.25592 10.1547C1.1776 10.233 1.07137 10.277 0.960599 10.277C0.849839 10.277 0.743609 10.233 0.665289 10.1547C0.586969 10.0764 0.542969 9.97018 0.542969 9.85938C0.542969 9.74858 0.586969 9.64238 0.665289 9.56408L8.94105 1.28126H2.6481C2.53622 1.28126 2.42891 1.23681 2.34979 1.15769C2.27068 1.07857 2.22623 0.97127 2.22623 0.85938C2.22623 0.74749 2.27068 0.64019 2.34979 0.56107C2.42891 0.48195 2.53622 0.43751 2.6481 0.4375H9.96065C10.0724 0.43751 10.1797 0.48195 10.2589 0.56107C10.338 0.64019 10.3824 0.74749 10.3824 0.85938Z" fill="#1D1B21"/>
                                                      </svg><div><<svg xmlns="http://www.w3.org/2000/svg" width="11" height="11" viewBox="0 0 11 11" fill="none">
                                                          <path d="M10.3824 0.85938V8.17188C10.3824 8.28378 10.338 8.39108 10.2589 8.47018C10.1797 8.54928 10.0724 8.59378 9.96065 8.59378C9.84875 8.59378 9.74145 8.54928 9.66225 8.47018C9.58315 8.39108 9.53875 8.28378 9.53875 8.17188V1.87891L1.25592 10.1547C1.1776 10.233 1.07137 10.277 0.960599 10.277C0.849839 10.277 0.743609 10.233 0.665289 10.1547C0.586969 10.0764 0.542969 9.97018 0.542969 9.85938C0.542969 9.74858 0.586969 9.64238 0.665289 9.56408L8.94105 1.28126H2.6481C2.53622 1.28126 2.42891 1.23681 2.34979 1.15769C2.27068 1.07857 2.22623 0.97127 2.22623 0.85938C2.22623 0.74749 2.27068 0.64019 2.34979 0.56107C2.42891 0.48195 2.53622 0.43751 2.6481 0.4375H9.96065C10.0724 0.43751 10.1797 0.48195 10.2589 0.56107C10.338 0.64019 10.3824 0.74749 10.3824 0.85938Z" fill="#fff"/>
                                                      </svg></div></span>
                                                  </a>
                                              <?php } ?>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                              <?php if ( !empty($image_light['id']) ) :
                                $site_title = get_bloginfo( 'name' );                                    
                                $img_icon  = pxl_get_image_by_size( array(
                                    'attach_id'  => $image_light['id'],
                                    'thumb_size' => 'full',
                                ) );
                                $thumbnail = $img_icon['thumbnail'];
                                $thumbnail_url = $img_icon['url']; ?>
                                <div class="item--featured" style="background-image: url(<?php echo esc_url($thumbnail_url); ?>);">
                                    <?php echo pxl_print_html($thumbnail); ?>
                                </div>
                            <?php endif; ?>
                            <?php if(!empty($video_link)) : ?>
                                <div class="localvideo-bg">
                                    <video autoplay="" muted="" loop="">
                                        <source src="<?php echo esc_url($video_link); ?>" type="video/mp4">
                                        </video>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
            <?php if (!empty($settings['title_logo'])) { ?>
                <div class="pxl-title-logo">
                    <div class="logo">
                        <?php echo esc_attr($settings['title_logo']); ?>
                    </div>
                </div>
            <?php } ?>
            <?php if($arrows == true): ?>
                <?php if($arrows_style == 'style1') { ?>
                    <div class="wp-arrow" data-cursor="-hidden">                    
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><?php echo esc_html__('PREV', 'kimono'); ?></div>
                        <div class="arrow-divider left"></div>
                        <?php if($pagination !== false): ?>
                            <div class="pxl-swiper-dots"></div>
                        <?php endif; ?>
                        <div class="arrow-divider right"></div>
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><?php echo esc_html__('NEXT', 'kimono'); ?></div>                    
                    </div>
                <?php } else if($arrows_style == 'style2') { ?>
                    <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">                    
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                            <span class="circle"></span>
                            <i class="bi-arrow-left"></i>
                        </div>
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                            <span class="circle"></span>
                            <i class="bi-arrow-right"></i>
                        </div>
                    </div>
                <?php } else { ?>
                    <div class="wp-arrow-df <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
                       <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
                       <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
                   </div>
               <?php  } ?>
           <?php endif; ?>
           <?php if(!empty($settings['social_icon'])): ?>
            <div class="pxl-item--social">
                <?php
                $is_new = \Elementor\Icons_Manager::is_migration_allowed();
                foreach ($settings['social_icon'] as $key => $value): 
                    $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
                    $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
                    $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
                    $widget->add_render_attribute( $icon_key, [
                        'class' => $value['pxl_icon'],
                        'aria-hidden' => 'true',
                    ] );
                    $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
                    if ( ! empty( $value['icon_link']['url'] ) ) {
                        $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                        if ( $value['icon_link']['is_external'] ) {
                            $widget->add_render_attribute( $link_key, 'target', '_blank' );
                        }

                        if ( $value['icon_link']['nofollow'] ) {
                            $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                        }
                    }
                    $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
                    <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                        <a class="elementor-repeater-item-<?php echo esc_attr($value['_id'].' '.$settings['pxl_animate']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                            <?php if ( $is_new ):
                                \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                            elseif(!empty($value['pxl_icon'])): ?>
                                <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                            <?php endif; ?>
                            <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                        </a>
                    <?php endif; ?>
                    <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                        $img_icon  = pxl_get_image_by_size( array(
                            'attach_id'  => $icon_image['id'],
                            'thumb_size' => 'full',
                        ) );
                        $thumbnail_icon    = $img_icon['thumbnail']; ?>
                        <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                            <?php echo pxl_print_html($thumbnail_icon); ?>
                            <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                        </a>
                    <?php endif; ?>   
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>
    <?php if ($settings['effect_slide'] == 'true'): ?>
        <img src="<?php echo esc_url( get_template_directory_uri().'/assets/img/'.$imgds ); ?>" class="pxl-image-webgl" alt="image displacements" data-sampler="map">            
    <?php endif ?>              
</div>
<?php endif; ?>
