<?php
$styleMappings = array(
    'style1' => 'displacements-01.jpg',
    'style2' => 'displacements-02.jpg',
    'style3' => 'displacements-03.jpg',
    'style4' => 'displacements-04.jpg',
    'style5' => 'displacements-05.jpg',
    'style6' => 'displacements-06.jpg',
    'style7' => 'displacements-07.jpg',
    'style' => 'webgl-01.jpg',
);
$imgds = isset($styleMappings[$settings['effect_style']]) ? $styleMappings[$settings['effect_style']] : '';

$template = (int)$widget->get_setting('template','0');

$widget->add_render_attribute('anchor', 'class', 'pxl-anchor side-panel align-items-center');


$target = '.pxl-hidden-template-'.$template;
if($template > 0 ){

    if ( !has_action( 'pxl_anchor_target_hidden_panel_'.$template) ){
        add_action( 'pxl_anchor_target_hidden_panel_'.$template, 'kimono_hook_anchor_hidden_panel' );
    }

}

if ( ! empty( $settings['logo_link']['url'] ) ) {
    $widget->add_render_attribute( 'logo_link', 'href', $settings['logo_link']['url'] );

    if ( $settings['logo_link']['is_external'] ) {
        $widget->add_render_attribute( 'logo_link', 'target', '_blank' );
    }

    if ( $settings['logo_link']['nofollow'] ) {
        $widget->add_render_attribute( 'logo_link', 'rel', 'nofollow' );
    }
}

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$arrows_style = $widget->get_setting('arrows_style','style1');
$pagination = $widget->get_setting('pagination', false);
$pagination_type = $widget->get_setting('pagination_type', 'bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$slide_mode = $widget->get_setting('slide_mode','fade');
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$center = $widget->get_setting('center', false);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => $slide_mode, 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'center'                        => $center,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed,
    'parallax'                      => 'true'
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
if(isset($settings['slider1']) && !empty($settings['slider1']) && count($settings['slider1'])): ?>
    <div class="pxl-swiper-sliders pxl-slider-carousel pxl-slider-carousel2 pxl-parent-transition pxl-parent-cursor pxl-swiper-arrow-show <?php if($arrows == 'true') { echo esc_attr__( 'pxl-show-arrow', 'kimono' ); } ?> <?php if($slide_mode == 'fade') { echo 'pxl-slider-carousel-fade'; } ?> <?php if($settings['effect_slide'] == 'true') { echo 'pxl-slider-carousel-effect'; } ?> <?php if($slide_mode == 'slide') { echo 'pxl-slider-carousel-slide'; } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>">
        <?php if(isset($settings['l_logo_light']) || isset($settings['l_logo_dark']) || $pagination !== false || $template > 0): ?>
        <div class="pxl-left-pane">
            <?php if(isset($settings['l_logo_light']) || isset($settings['l_logo_dark'])): ?>
            <div class="pxl-item--logo">
                <?php if(!empty($settings['l_logo_light']['id'])) : 
                  $img_icon_l_l  = pxl_get_image_by_size( array(
                    'attach_id'  => $settings['l_logo_light']['id'],
                    'thumb_size' => 'full',
                ) );
                  $thumbnail_l_l = $img_icon_l_l['thumbnail'];
                  ?>
                  <div class="item--logo img-light"><a <?php pxl_print_html($widget->get_render_attribute_string( 'logo_link' )); ?>><?php echo pxl_print_html($thumbnail_l_l); ?></a></div>
              <?php endif; ?>
              <?php if(!empty($settings['l_logo_dark']['id'])) : 
                  $img_icon_l_d  = pxl_get_image_by_size( array(
                    'attach_id'  => $settings['l_logo_dark']['id'],
                    'thumb_size' => 'full',
                ) );
                $thumbnail_l_d = $img_icon_l_d['thumbnail'];?>
                <div class="item--logo img-dark"><a <?php pxl_print_html($widget->get_render_attribute_string( 'logo_link' )); ?>><?php echo pxl_print_html($thumbnail_l_d); ?></a></div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
    <?php if($template > 0): ?>
        <div <?php pxl_print_html($widget->get_render_attribute_string('anchor')); ?> data-target="<?php echo esc_attr($target)?>">
            <div class="pxl-icon pxl-anchor-icon custom pxl-transtion"><span></span><span></span><span></span></div>
        </div>
    <?php endif; ?>
    <?php if($pagination !== false): ?>
        <div class="pxl-swiper-dots"></div>
    <?php endif; ?>
</div>
<?php if($settings['show_shape'] == 'true'): ?>
    <div class="pxl-item-layer pxl-item-layer-two">
        <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/img/layer-2-light.png' ); ?>" alt="img" class="light-image">
        <img src="<?php echo esc_url( get_template_directory_uri().'/assets/img/layer-2.png' ); ?>" alt="img" class="dark-image">
    </div>
<?php endif; ?>
<?php endif; ?>
<?php if(!empty($settings['social_icon'])): ?>
    <div class="pxl-item--social">
        <?php
        $is_new = \Elementor\Icons_Manager::is_migration_allowed();
        foreach ($settings['social_icon'] as $key => $value): 
            $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
            $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
            $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
            $widget->add_render_attribute( $icon_key, [
                'class' => $value['pxl_icon'],
                'aria-hidden' => 'true',
            ] );
            $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
            if ( ! empty( $value['icon_link']['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                if ( $value['icon_link']['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $value['icon_link']['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
            <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                <a class="elementor-repeater-item-<?php echo esc_attr($value['_id'].' '.$settings['pxl_animate']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                    <?php if ( $is_new ):
                        \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                    elseif(!empty($value['pxl_icon'])): ?>
                        <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                    <?php endif; ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>
            <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                $img_icon  = pxl_get_image_by_size( array(
                    'attach_id'  => $icon_image['id'],
                    'thumb_size' => 'full',
                ) );
                $thumbnail_icon    = $img_icon['thumbnail']; ?>
                <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                    <?php echo pxl_print_html($thumbnail_icon); ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>   
        <?php endforeach; ?>
    </div>
<?php endif; ?>
<div class="pxl-carousel-inner">
    <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
        <div class="pxl-swiper-wrapper">
            <?php foreach ($settings['slider1'] as $key => $value):
                $image_light = isset($value['image1']) ? $value['image1'] : '';                    
                $sub_text = isset($value['sub_text1']) ? $value['sub_text1'] : '';
                $title = isset($value['title1']) ? $value['title1'] : '';
                $title_outline1 = isset($value['title_outline1']) ? $value['title_outline1'] : '';
                $link = isset($value['btn_link1']) ? $value['btn_link1'] : '';
                $link_key = $widget->get_repeater_setting_key( 'title1', 'value', $key );
                if ( ! empty( $link['url'] ) ) {
                    $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                    if ( $link['is_external'] ) {
                        $widget->add_render_attribute( $link_key, 'target', '_blank' );
                    }

                    if ( $link['nofollow'] ) {
                        $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                    }
                }
                $link_attributes = $widget->get_render_attribute_string( $link_key );
                ?>
                <div class="pxl-swiper-slide">
                    <?php if ($slide_mode == 'slide') {
                        echo '<div class="swiper-slide-inner" data-swiper-parallax="30%">';
                    } ?>
                    <?php if($settings['show_shape'] == 'true'): ?>
                        <div class="pxl-item-layer pxl-item-layer-one">
                            <img src="<?php echo esc_url( get_template_directory_uri().'/assets/img/layer-1-light.png' ); ?>" alt="img" class="light-image">
                            <img src="<?php echo esc_url( get_template_directory_uri().'/assets/img/layer-1.png' ); ?>" alt="img" class="dark-image">
                        </div>
                    <?php endif; ?>
                    <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                        <div class="pxl-item--content">
                            <div class="content--inner pxl-transtion">
                                <div class="content--wrapper">
                                    <?php if(!empty($sub_text)) : ?>
                                        <div class="pxl-item--subtitle pxl-transtion" data-text="<?php echo esc_attr($sub_text); ?>"><?php echo pxl_print_html($sub_text); ?></div>
                                    <?php endif; ?>
                                    <?php if(!empty($title)) : ?>
                                        <h2 class="pxl-item--title el-empty pxl-transtion" data-text="<?php echo esc_attr($title); ?>"><?php echo pxl_print_html($title); ?></h2>
                                    <?php endif; ?>
                                    <?php if(!empty($title_outline1)) : ?>
                                        <div class="pxl-item--title-outline el-empty pxl-transtion" data-text="<?php echo esc_attr($title_outline1); ?>"><?php echo pxl_print_html($title_outline1); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="item--featured">
                            <?php if ( !empty($image_light['id']) ) :
                                $site_title = get_bloginfo( 'name' );                                    
                                $img_icon  = pxl_get_image_by_size( array(
                                    'attach_id'  => $image_light['id'],
                                    'thumb_size' => 'full',
                                ) );
                                $thumbnail = $img_icon['thumbnail']; ?>
                                <?php if(!empty($link['url'])) { ?><a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                                <div class="item--image"><?php echo pxl_print_html($thumbnail); ?></div>
                                <?php if(!empty($link['url'])) { ?></a><?php } ?>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if ($slide_mode == 'slide') {
                        echo '</div>';
                    } ?>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    <?php if($arrows == true): ?>
        <?php if($arrows_style == 'style1') { ?>
            <div class="wp-arrow" data-cursor="-hidden">                    
                <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><?php echo esc_html__('PREV', 'kimono'); ?></div>
                <div class="arrow-divider left"></div>
                <div class="arrow-divider right"></div>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><?php echo esc_html__('NEXT', 'kimono'); ?></div>                    
            </div>
        <?php } else if($arrows_style == 'style2') { ?>
            <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">                    
                <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                    <span class="circle"></span>
                    <i class="bi-arrow-left"></i>
                </div>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                    <span class="circle"></span>
                    <i class="bi-arrow-right"></i>
                </div>
            </div>
        <?php } else { ?>
            <div class="wp-arrow-df <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
               <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
               <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
           </div>
       <?php  } ?>
   <?php  endif; ?>
</div>
<?php if ($settings['effect_slide'] == 'true'): ?>
    <img src="<?php echo esc_url( get_template_directory_uri().'/assets/img/'.$imgds ); ?>" class="pxl-image-webgl" alt="image displacements" data-sampler="map">            
<?php endif ?>
</div>
<?php endif; ?>
