<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$divider = $widget->get_setting('divider', false);  
$arrows_style = $widget->get_setting('arrows_style','style1');
$pagination = $widget->get_setting('pagination', false);
$pagination_type = $widget->get_setting('pagination_type', 'bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$stretch_cover = $widget->get_setting('stretch_cover', 0);
$infinite = $widget->get_setting('infinite', false);  
$center = $widget->get_setting('center', false);
$speed = $widget->get_setting('speed', 500);
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => 'coverflow', 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'stretch_cover'                         => (int)$stretch_cover,
    'loop'                          => (bool)$infinite,    
    'center'                        => $center,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
if(isset($settings['slider7']) && !empty($settings['slider7']) && count($settings['slider7'])): ?>
    <div class="pxl-swiper-sliders pxl-slider-carousel pxl-slider-carousel7 swiper-container-3d pxl-parent-cursor pxl-parent-transition pxl-swiper-arrow-show" data-view-auto="<?php echo esc_attr($col_xl); ?>">
        <div class="pxl-carousel-inner">
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <div class="pxl-swiper-wrapper">
                    <?php foreach ($settings['slider7'] as $key => $value):
                        $image_light = isset($value['image7']) ? $value['image7'] : '';                        
                        $sub_text = isset($value['sub_text7']) ? $value['sub_text7'] : '';
                        $title = isset($value['title7']) ? $value['title7'] : ''; 
                        $link = isset($value['btn_link7']) ? $value['btn_link7'] : '';
                        $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
                        if ( ! empty( $link['url'] ) ) {
                            $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                            if ( $link['is_external'] ) {
                                $widget->add_render_attribute( $link_key, 'target', '_blank' );
                            }

                            if ( $link['nofollow'] ) {
                                $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes = $widget->get_render_attribute_string( $link_key );
                        $link_key1 = $widget->get_repeater_setting_key( 'desc', 'value', $key );
                        if ( ! empty( $link1['url'] ) ) {
                            $widget->add_render_attribute( $link_key1, 'href', $link1['url'] );

                            if ( $link1['is_external'] ) {
                                $widget->add_render_attribute( $link_key1, 'target', '_blank' );
                            }

                            if ( $link1['nofollow'] ) {
                                $widget->add_render_attribute( $link_key1, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes1 = $widget->get_render_attribute_string( $link_key1 );
                        ?>
                        <div class="pxl-swiper-slide swiper-material-wrapper">
                            <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                                <div class="pxl-item--content">
                                    <div class="content--inner pxl-transtion">
                                        <div class="content--wrapper">
                                            <?php if(!empty($title)) : ?>
                                                <h2 class="pxl-item--title el-empty pxl-transtion" data-text="<?php echo esc_attr($title); ?>"><?php echo pxl_print_html($title); ?></h2>
                                            <?php endif; ?>
                                            <?php if(!empty($sub_text)) : ?>
                                                <div class="pxl-item--subtitle pxl-transtion" data-text="<?php echo esc_attr($sub_text); ?>"><?php echo pxl_print_html($sub_text); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="item--featured">
                                    <?php if ( !empty($image_light['id']) ) :
                                        $site_title = get_bloginfo( 'name' );                                    
                                        $img_icon  = pxl_get_image_by_size( array(
                                            'attach_id'  => $image_light['id'],
                                            'thumb_size' => '708x876',
                                        ) );
                                        $thumbnail = $img_icon['thumbnail'];
                                        $thumbnail_url = $img_icon['url']; ?>

                                        <?php echo pxl_print_html($thumbnail); ?>
                                        <a class="pxl-image-popup" href="<?php echo esc_url($thumbnail_url); ?>" data-fancybox="gallery">
                                            <i class="bi bi-arrows-fullscreen"></i>
                                        </a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
            <?php if($arrows == true): ?>
                <?php if($arrows_style == 'style1') { ?>
                    <div class="wp-arrow" data-cursor="-hidden">                    
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><?php echo esc_html__('PREV', 'kimono'); ?></div>
                        <div class="arrow-divider left"></div>
                        <?php if($pagination !== false): ?>
                            <div class="pxl-swiper-dots"></div>
                        <?php endif; ?>
                        <div class="arrow-divider right"></div>
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><?php echo esc_html__('NEXT', 'kimono'); ?></div>                    
                    </div>
                <?php } else if($arrows_style == 'style2') { ?>
                    <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">                    
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                            <span class="circle"></span>
                            <i class="bi-arrow-left"></i>
                        </div>
                        <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                            <span class="circle"></span>
                            <i class="bi-arrow-right"></i>
                        </div>
                    </div>
                <?php } else { ?>
                    <div class="wp-arrow-df <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
                     <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
                     <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
                 </div>
             <?php  } ?>
         <?php endif; ?>
     </div>  
     <?php if(!empty($settings['social_icon'])): ?>
        <div class="pxl-item--social">
            <?php
            $is_new = \Elementor\Icons_Manager::is_migration_allowed();
            foreach ($settings['social_icon'] as $key => $value): 
                $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
                $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
                $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
                $widget->add_render_attribute( $icon_key, [
                    'class' => $value['pxl_icon'],
                    'aria-hidden' => 'true',
                ] );
                $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
                if ( ! empty( $value['icon_link']['url'] ) ) {
                    $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                    if ( $value['icon_link']['is_external'] ) {
                        $widget->add_render_attribute( $link_key, 'target', '_blank' );
                    }

                    if ( $value['icon_link']['nofollow'] ) {
                        $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                    }
                }
                $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
                <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                    <a class="elementor-repeater-item-<?php echo esc_attr($value['_id'].' '.$settings['pxl_animate']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                        <?php if ( $is_new ):
                            \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                        elseif(!empty($value['pxl_icon'])): ?>
                            <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                        <?php endif; ?>
                        <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                    </a>
                <?php endif; ?>
                <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                    $img_icon  = pxl_get_image_by_size( array(
                        'attach_id'  => $icon_image['id'],
                        'thumb_size' => 'full',
                    ) );
                    $thumbnail_icon    = $img_icon['thumbnail']; ?>
                    <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                        <?php echo pxl_print_html($thumbnail_icon); ?>
                        <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                    </a>
                <?php endif; ?>   
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    <?php if (!empty($settings['title_logo'])) { ?>
        <div class="pxl-title-logo">
            <div class="logo">
                <?php echo esc_attr($settings['title_logo']); ?>
            </div>
        </div>
    <?php } ?>            
</div>
<?php endif; ?>
