<?php
$styleMappings = array(
    'style1' => 'displacements-01.jpg',
    'style2' => 'displacements-02.jpg',
    'style3' => 'displacements-03.jpg',
    'style4' => 'displacements-04.jpg',
    'style5' => 'displacements-05.jpg',
    'style6' => 'displacements-06.jpg',
    'style7' => 'displacements-07.jpg',
    'style' => 'webgl-01.jpg',
);
$imgds = isset($styleMappings[$settings['effect_style']]) ? $styleMappings[$settings['effect_style']] : '';

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$divider = $widget->get_setting('divider', false);  
$arrows_style = $widget->get_setting('arrows_style','style3');
$slide_mode = $widget->get_setting('slide_mode','cube');
$pagination = $widget->get_setting('pagination', false);
$pagination_type = $widget->get_setting('pagination_type', 'bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$infinite = $widget->get_setting('infinite', false);  
$center = $widget->get_setting('center', false);
$speed = $widget->get_setting('speed', 500);
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => $slide_mode, 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'loop'                          => (bool)$infinite,    
    'center'                        => $center,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
if(isset($settings['slider8']) && !empty($settings['slider8']) && count($settings['slider8'])): ?>
    <div class="pxl-swiper-sliders pxl-slider-carousel pxl-slider-carousel8 swiper-container-3d pxl-parent-cursor pxl-parent-transition pxl-swiper-arrow-show <?php if($settings['effect_slide'] == 'true') { echo 'pxl-slider-carousel-effect'; } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>">
        <div class="pxl-carousel-inner">
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <div class="pxl-swiper-wrapper">
                    <?php foreach ($settings['slider8'] as $key => $value):
                        $image_light = isset($value['image8']) ? $value['image8'] : '';                        
                        $link = isset($value['btn_link8']) ? $value['btn_link8'] : '';
                        $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
                        if ( ! empty( $link['url'] ) ) {
                            $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                            if ( $link['is_external'] ) {
                                $widget->add_render_attribute( $link_key, 'target', '_blank' );
                            }

                            if ( $link['nofollow'] ) {
                                $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes = $widget->get_render_attribute_string( $link_key );
                        $link_key1 = $widget->get_repeater_setting_key( 'desc', 'value', $key );
                        if ( ! empty( $link1['url'] ) ) {
                            $widget->add_render_attribute( $link_key1, 'href', $link1['url'] );

                            if ( $link1['is_external'] ) {
                                $widget->add_render_attribute( $link_key1, 'target', '_blank' );
                            }

                            if ( $link1['nofollow'] ) {
                                $widget->add_render_attribute( $link_key1, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes1 = $widget->get_render_attribute_string( $link_key1 );
                        ?>
                        <div class="pxl-swiper-slide swiper-material-wrapper">
                            <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                                <?php if ( !empty($image_light['id']) ) :
                                    $site_title = get_bloginfo( 'name' );                                    
                                    $img_icon  = pxl_get_image_by_size( array(
                                        'attach_id'  => $image_light['id'],
                                        'thumb_size' => '1620x630',
                                    ) );
                                    $thumbnail = $img_icon['thumbnail'];
                                    $thumbnail_url = $img_icon['url']; ?>
                                    <div class="item--featured" style="background-image: url(<?php echo esc_url($thumbnail_url); ?>);">
                                        <?php echo pxl_print_html($thumbnail); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>     
            <?php if($pagination !== false): ?>
                <div class="pxl-swiper-dots"></div>
            <?php endif; ?>
        </div>  
        <div class="pxl-swiper-thumbs">
         <div class="swiper-wrapper">
            <?php foreach ($settings['slider8'] as $key => $value): 
                $image_thumb = isset($value['image8']) ? $value['image8'] : '';?>
                <div class="swiper-slide">
                    <div class="item--featured">
                        <?php if ( !empty($image_thumb['id']) ) :
                            $site_title = get_bloginfo( 'name' );                                    
                            $img_icon_thumb  = pxl_get_image_by_size( array(
                                'attach_id'  => $image_thumb['id'],
                                'thumb_size' => 'full',
                            ) );
                            $thumbnail_thumb = $img_icon_thumb['thumbnail']; ?>

                            <?php echo pxl_print_html($thumbnail_thumb); ?>
                        <?php endif; ?>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
        <?php if($arrows == true): ?>
            <?php if($arrows_style == 'style1') { ?>
                <div class="wp-arrow" data-cursor="-hidden">                    
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><?php echo esc_html__('PREV', 'kimono'); ?></div>
                    <div class="arrow-divider left"></div>
                    <?php if($pagination !== false): ?>
                        <div class="pxl-swiper-dots"></div>
                    <?php endif; ?>
                    <div class="arrow-divider right"></div>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><?php echo esc_html__('NEXT', 'kimono'); ?></div>                    
                </div>
            <?php } else if($arrows_style == 'style2') { ?>
                <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">                    
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                        <span class="circle"></span>
                        <i class="bi-arrow-left"></i>
                    </div>
                    <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                        <span class="circle"></span>
                        <i class="bi-arrow-right"></i>
                    </div>
                </div>
            <?php } else { ?>
                <div class="wp-arrow-df <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
                 <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
                 <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
             </div>
         <?php  } ?>
     <?php endif; ?>
 </div>
 <?php if ($settings['effect_slide'] == 'true'): ?>
    <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/img/' . $imgds ); ?>" class="pxl-image-webgl" alt="image displacements" data-sampler="map">      
<?php endif ?> 
<?php if(!empty($settings['social_icon'])): ?>
    <div class="pxl-item--social">
        <?php
        $is_new = \Elementor\Icons_Manager::is_migration_allowed();
        foreach ($settings['social_icon'] as $key => $value): 
            $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
            $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
            $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
            $widget->add_render_attribute( $icon_key, [
                'class' => $value['pxl_icon'],
                'aria-hidden' => 'true',
            ] );
            $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
            if ( ! empty( $value['icon_link']['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                if ( $value['icon_link']['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $value['icon_link']['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
            <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                <a class="elementor-repeater-item-<?php echo esc_attr($value['_id'].' '.$settings['pxl_animate']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                    <?php if ( $is_new ):
                        \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                    elseif(!empty($value['pxl_icon'])): ?>
                        <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                    <?php endif; ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>
            <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                $img_icon  = pxl_get_image_by_size( array(
                    'attach_id'  => $icon_image['id'],
                    'thumb_size' => 'full',
                ) );
                $thumbnail_icon    = $img_icon['thumbnail']; ?>
                <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                    <?php echo pxl_print_html($thumbnail_icon); ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>   
        <?php endforeach; ?>
    </div>
<?php endif; ?>
<?php if (!empty($settings['title_logo'])) { ?>
    <div class="pxl-title-logo">
        <div class="logo">
            <?php echo esc_attr($settings['title_logo']); ?>
        </div>
    </div>
<?php } ?>            
</div>
<?php endif; ?>
