<div class="pxl-tab-icon-box1">
    <div class="pxl-tab-icon-box-inner" >
        <?php if(isset($settings['items']) && !empty($settings['items']) && count($settings['items'])): ?>
        <?php foreach ($settings['items'] as $key => $value):
            $label = isset($value['label']) ? $value['label'] : '';
            $button_text = isset($value['button_text']) ? $value['button_text'] : '';
            $content = isset($value['content']) ? $value['content'] : '';
            $image = isset($value['image']) ? $value['image'] : '';                
            $image_dark = isset($value['image_dark']) ? $value['image_dark'] : '';                
            $link_key = $widget->get_repeater_setting_key( 'link', 'value', $key );
            if ( ! empty( $value['link']['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $value['link']['url'] );

                if ( $value['link']['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $value['link']['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key );            
            $html_id = pxl_get_element_id($settings);
            ?>
            <div class="pxl--item" >
                <div class="pxl-tab--title <?php if($settings['tab_active'] == $key + 1) { echo 'active'; } ?>" data-target="#<?php echo esc_attr($html_id.'-'.$value['_id']); ?>">
                    <?php if(!empty($label)) : ?>
                        <span class="button-arrow-hover"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M0.0450488 13.4006L10.8019 2.64375L0.920094 2.64375L0.928932 0.142357H15.0711V14.2845L12.5785 14.2845L12.5697 4.41151L1.81282 15.1684L0.0450488 13.4006Z" fill="#151515"/></svg><div><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M0.0450488 13.4006L10.8019 2.64375L0.920094 2.64375L0.928932 0.142357H15.0711V14.2845L12.5785 14.2845L12.5697 4.41151L1.81282 15.1684L0.0450488 13.4006Z" fill="#151515"/></svg></div></span>
                        <a class="label"><?php echo esc_htm($label); ?></a>
                    <?php endif; ?>                    
                </div>
                <div id="<?php echo esc_attr($html_id.'-'.$value['_id']); ?>" class="pxl-item--inner <?php if($settings['tab_active'] == $key + 1) { echo 'active'; } ?>" <?php if($settings['tab_active'] == $key + 1) { ?>style="display: block;"<?php } ?>>
                    <div class="pxl-tab--content pxl-item--front">
                        <?php if(!empty($image['id'])) :
                            $img = pxl_get_image_by_size(array(
                                'attach_id'  => $image['id'],
                                'thumb_size' => 'full',
                                'class' => 'image-light no-lazyload',
                            ));
                            $thumbnail = $img['thumbnail'];
                            echo wp_kses_post($thumbnail); ?>
                        <?php endif; ?>
                        <?php if(!empty($image_dark['id'])) :
                            $img_dark = pxl_get_image_by_size(array(
                                'attach_id'  => $image_dark['id'],
                                'thumb_size' => 'full',
                                'class' => 'image-dark no-lazyload',
                            ));
                            $thumbnail_dark = $img_dark['thumbnail'];
                            echo wp_kses_post($thumbnail_dark); ?>
                        <?php endif; ?>   
                        <?php if(!empty($content)) : ?>
                            <span class="pxl-tab--des"><?php echo pxl_print_html($content); ?></span>
                        <?php endif; ?>
                        <?php if(!empty($button_text)) : ?>                            
                            <a class="btn" <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
                                <span><?php echo esc_htm($button_text); ?></span>    
                                <svg xmlns="http://www.w3.org/2000/svg" width="19" height="14" viewBox="0 0 19 14" fill="none">
                                  <path d="M1 7L18 7M18 7L11.625 1M18 7L11.625 13" stroke="#3C3C3C" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
                              </svg>        
                          </a>                            
                      <?php endif; ?>
                  </div>      
                  <div class="pxl-tab--content pxl-item--backdrop">
                    <?php if(!empty($image['id'])) :
                        $img = pxl_get_image_by_size(array(
                            'attach_id'  => $image['id'],
                            'thumb_size' => 'full',
                            'class' => 'image-light no-lazyload',
                        ));
                        $thumbnail = $img['thumbnail'];
                        echo wp_kses_post($thumbnail); ?>
                    <?php endif; ?>
                    <?php if(!empty($image_dark['id'])) :
                        $img_dark = pxl_get_image_by_size(array(
                            'attach_id'  => $image_dark['id'],
                            'thumb_size' => 'full',
                            'class' => 'image-dark no-lazyload',
                        ));
                        $thumbnail_dark = $img_dark['thumbnail'];
                        echo wp_kses_post($thumbnail_dark); ?>
                    <?php endif; ?>  
                    <?php if(!empty($content)) : ?>
                        <span class="pxl-tab--des"><?php echo pxl_print_html($content); ?></span>
                    <?php endif; ?>
                    <?php if(!empty($button_text)) : ?>                            
                        <a class="btn" <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
                            <span><?php echo esc_htm($button_text); ?></span>    
                            <svg xmlns="http://www.w3.org/2000/svg" width="19" height="14" viewBox="0 0 19 14" fill="none">
                              <path d="M1 7L18 7M18 7L11.625 1M18 7L11.625 13" stroke="#3C3C3C" stroke-width="1.25" stroke-linecap="round" stroke-linejoin="round"/>
                          </svg>        
                      </a>                            
                  <?php endif; ?>
                  <a class="pxl-item--link" <?php echo implode( ' ', [ $link_attributes ] ); ?>></a>
              </div>    
          </div>
      </div>
  <?php endforeach; ?>
<?php endif; ?>
</div>
</div>