<?php $html_id = pxl_get_element_id($settings); 
$editor_sub_title = $widget->get_settings_for_display( 'sub_heading' );
$editor_sub_title = $widget->parse_text_editor( $editor_sub_title );
if(isset($settings['tabs']) && !empty($settings['tabs']) && count($settings['tabs'])): 
    $tab_bd_ids = [];
?>
<div class="pxl-tabs pxl-tabs1 <?php echo esc_attr($settings['tab_effect'].' '.$settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
    <div class="pxl-tabs--inner">
        <div class="pxl-tabs--title <?php echo esc_attr($settings['display']); ?>">
            <div class="pxl-tabs-heading">
                <div class="pxl-tab--sub"><?php echo wp_kses_post($editor_sub_title); ?></div>
                <div class="pxl-tab--heading"><?php echo esc_html($settings['heading']); ?></div>
            </div>
            <?php foreach ($settings['tabs'] as $key => $title) :  ?>                
                <span class="pxl-tab--title pxl-cursor--cta <?php if($settings['tab_active'] == $key + 1) { echo 'active'; } ?>" data-target="#<?php echo esc_attr($html_id.'-'.$title['_id']); ?>">
                    <span class="button-arrow-hover"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M0.0450488 13.4006L10.8019 2.64375L0.920094 2.64375L0.928932 0.142357H15.0711V14.2845L12.5785 14.2845L12.5697 4.41151L1.81282 15.1684L0.0450488 13.4006Z" fill="#151515"/></svg><div><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M0.0450488 13.4006L10.8019 2.64375L0.920094 2.64375L0.928932 0.142357H15.0711V14.2845L12.5785 14.2845L12.5697 4.41151L1.81282 15.1684L0.0450488 13.4006Z" fill="#151515"/></svg></div></span>
                    <span class="pxl-title--text">
                        <?php echo pxl_print_html($title['title']); ?>
                    </span>        
                </span>
            <?php endforeach; ?>
        </div>

        <div class="pxl-tabs--content">
            <?php foreach ($settings['tabs'] as $key => $content) : ?>
                <div id="<?php echo esc_attr($html_id.'-'.$content['_id']); ?>" class="pxl-tab--content <?php if($settings['tab_active'] == $key + 1) { echo 'active'; } ?> <?php if($content['content_type'] == 'template') { echo 'pxl-tabs--elementor'; } ?>" <?php if($settings['tab_active'] == $key + 1) { ?>style="display: block;"<?php } ?>>
                    <?php if($content['content_type'] == 'df' && !empty($content['desc'])) {
                        echo pxl_print_html($content['desc']); 
                    } elseif($content['content_type'] == 'template' && !empty($content['content_template'])) {
                        $tab_content = Elementor\Plugin::$instance->frontend->get_builder_content_for_display( (int)$content['content_template']);
                        $tab_bd_ids[] = (int)$content['content_template'];
                        pxl_print_html($tab_content);
                    } ?>        
                </div>
            <?php endforeach; ?>
        </div>

    </div>
</div>
<?php endif; ?>