<?php
// Register Meta Box Widget
pxl_add_custom_widget(
    array(
        'name' => 'pxl_meta_box',
        'title' => esc_html__('BR Meta Box', 'kimono' ),
        'icon' => 'eicon-icon-box',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'kimono-effects'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'kimono' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'kimono' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_meta_box/img-layout/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'kimono' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'active',
                            'label' => esc_html__('Active', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'separator' => 'after',
                            'default' => '1',
                            'condition' => [
                                'layout' => ['1']
                            ],
                        ),
                        array(
                            'name' => 'content_list',
                            'label' => esc_html__('Content List', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['1']
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'sub_title',
                                    'label' => esc_html__('Sub Title', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__('Title', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'button_text',
                                    'label' => esc_html__('Button text', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'link',
                                    'label' => esc_html__('Link', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'image',
                                    'label' => esc_html__('Image', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                            ),
                            'title_field' => '{{{ title }}}',
                        ),
                        array(
                            'name' => 'content_list1',
                            'label' => esc_html__('Content List', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['2']
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'logo_light',
                                    'label' => esc_html__('Logo Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'logo_dark',
                                    'label' => esc_html__('Logo Dark', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'desc',
                                    'label' => esc_html__('Desc', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'button_text1',
                                    'label' => esc_html__('Button text', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'link1',
                                    'label' => esc_html__('Link', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'label_block' => true,
                                ),
                            ),
                            'title_field' => '{{{ title1 }}}',
                        ),
                        array(
                            'name' => 'image_width',
                            'label' => esc_html__( 'Image Width', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'description' => esc_html__( 'Enter number.', 'kimono' ),
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'default' => [
                                'unit' => 'px',
                                'size' => '952',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-item--image' => 'width: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => [
                                'layout' => ['1']
                            ],
                        ),
                        array(
                            'name' => 'image_height',
                            'label' => esc_html__( 'Image Height', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'description' => esc_html__( 'Enter number.', 'kimono' ),
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'default' => [
                                'unit' => '%',
                                'size' => '100',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-item--image' => 'height: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => [
                                'layout' => ['1']
                            ],
                        ),
                    ),
),
array(
    'name' => 'section_style_title',
    'label' => esc_html__('Title', 'kimono'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'sub_title_color',
            'label' => esc_html__('Sub Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .list--item:before' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-meta-box .list--item a:before' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-meta-box:hover .list--item:before' => 'color: transparent;',
                '{{WRAPPER}} .pxl-meta-box:hover .list--item a:before' => 'background-color: rgba(0, 0, 0, 0.25);',
            ],
        ),
        array(
            'name' => 'darkmode_sub_title_color',
            'label' => esc_html__('Sub Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-meta-box .list--item:before' => 'color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-meta-box .list--item a:before' => 'background-color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-meta-box:hover .list--item:before' => 'color: transparent;',
                '.dark-mode {{WRAPPER}} .pxl-meta-box:hover .list--item a:before' => 'background-color: rgba(255, 255, 255, 0.25);',
            ],
        ),
        array(
            'name' => 'sub_title_typography',
            'label' => esc_html__('Sub Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-meta-box .list--item:before',
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .item--title' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-meta-box:hover .list--item .item--title' => 'color: transparent;',
            ],
        ),
        array(
            'name' => 'darkmode_title_color',
            'label' => esc_html__( 'Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-meta-box .item--title' => 'color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-meta-box:hover .list--item .item--title' => 'color: transparent;',
            ],
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-meta-box .item--title',
        ),
        array(
            'name' => 'title_margin',
            'label' => esc_html__('Title Margin (px)', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .item--title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
        array(
            'name' => 'hover_color',
            'label' => esc_html__('Hover Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .list--item.active:before, {{WRAPPER}} .pxl-meta-box .list--item.active .item--title' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-meta-box .list--item:hover a:before, {{WRAPPER}} .pxl-meta-box .list--item a:after' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'darkmode_hover_color',
            'label' => esc_html__( 'Hover Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-meta-box .list--item.active:before, .dark-mode {{WRAPPER}} .pxl-meta-box .list--item.active .item--title' => 'color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-meta-box .list--item:hover a:before, .dark-mode {{WRAPPER}} .pxl-meta-box .list--item a:after' => 'background-color: {{VALUE}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style_box',
    'label' => esc_html__('Box Setting', 'kimono'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'img_size',
            'label' => esc_html__('Image Size', 'kimono' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'description' => 'Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Default: 370x300 (Width x Height)).',
        ),
        array(
            'name' => 'bg_color',
            'label' => esc_html__('Background Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--inner' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'darkmode_bg_color',
            'label' => esc_html__('Background Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-item--inner' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'box_padding',
            'label' => esc_html__('Box Padding', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
          'name' => 'align',
          'label' => esc_html__( 'Alignment', 'kimono' ),
          'type' => \Elementor\Controls_Manager::CHOOSE,
          'control_type' => 'responsive',
          'options' => [
            'left' => [
                'title' => esc_html__( 'Left', 'kimono' ),
                'icon' => 'eicon-text-align-left',
            ],
            'center' => [
                'title' => esc_html__( 'Center', 'kimono' ),
                'icon' => 'eicon-text-align-center',
            ],
            'right' => [
                'title' => esc_html__( 'Right', 'kimono' ),
                'icon' => 'eicon-text-align-right',
            ],
        ],
        'selectors' => [
            '{{WRAPPER}} .pxl-meta-box' => 'text-align: {{VALUE}};',
        ],
    ),
        array(
            'name' => 'wg_max_width',
            'label' => esc_html__( 'Widget Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'content_max_width',
            'label' => esc_html__( 'Content Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .pxl-item--content' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'border_type',
            'label' => esc_html__( 'Border Type', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__( 'None', 'kimono' ),
                'solid' => esc_html__( 'Solid', 'kimono' ),
                'double' => esc_html__( 'Double', 'kimono' ),
                'dotted' => esc_html__( 'Dotted', 'kimono' ),
                'dashed' => esc_html__( 'Dashed', 'kimono' ),
                'groove' => esc_html__( 'Groove', 'kimono' ),
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .pxl-item--inner' => 'border-style: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'border_width',
            'label' => esc_html__( 'Border Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .pxl-item--inner' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'border_type!' => '',
            ],
            'responsive' => true,
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__( 'Border Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-meta-box .pxl-item--inner' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'border_type!' => '',
            ],
        ),
        array(
            'name' => 'darkmode_border_color',
            'label' => esc_html__( 'Border Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'default' => '',
            'selectors' => [
                '.dark-mode .pxl-meta-box .pxl-item--inner' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'border_type!' => '',
            ],
        ),
    ),
),
kimono_widget_animation_settings()
),
),
),
kimono_get_class_widget_path()
);