<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_post_details',
        'title' => esc_html__('BR Post Details', 'kimono'),
        'icon' => 'eicon-library-upload',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'kimono'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'title',
                            'label' => esc_html__('Title', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'items',
                            'label' => esc_html__('Content', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'content_type',
                                    'label' => esc_html__('Content Type', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'text' => 'Text',
                                        'author' => 'Author',
                                        'date' => 'Date',
                                        'category' => 'Category',
                                        'tag' => 'Tags',
                                        'star' => 'Star',                                        
                                    ],
                                    'default' => 'text',
                                ),
                                array(
                                    'name' => 'label',
                                    'label' => esc_html__('Label', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                ),
                                array(
                                    'name' => 'content',
                                    'label' => esc_html__('Content', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                    'condition' => [
                                        'content_type' => ['text'],
                                    ],
                                ),
                                array(
                                    'name' => 'show_star',
                                    'label' => esc_html__('Show Star', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::SWITCHER,
                                    'default' => 'true',
                                    'condition' => [
                                        'content_type' => ['star'],
                                    ],
                                ),
                                array(
                                    'name' => 'star',
                                    'label' => esc_html__('Star', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'one-star'   => '1 Star',
                                        'two-star'   => '2 Star',
                                        'three-star' => '3 Star',
                                        'four-star'  => '4 Star',
                                        'five-star'  => '5 Star',
                                    ],
                                    'condition' => [
                                        'content_type' => ['star'],
                                    ],
                                    'default' => 'five-star',
                                ),
                                array(
                                    'name' => 'post_type',
                                    'label' => esc_html__('Post Type', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'post' => 'Blog',
                                        'service' => 'Service',
                                        'portfolio' => 'Portfolio',
                                    ],
                                    'default' => 'post',
                                    'condition' => [
                                        'content_type' => ['category', 'tag'],
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ label }}}',
                        ),
array(
    'name' => 'infos',
    'label' => esc_html__('Info', 'kimono'),
    'type' => \Elementor\Controls_Manager::REPEATER,
    'controls' => array(
        array(
            'name' => 'label_info',
            'label' => esc_html__('Label', 'kimono' ),
            'type' => \Elementor\Controls_Manager::TEXT,
        ),
        array(
            'name' => 'content_info',
            'label' => esc_html__('Content', 'kimono' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'label_block' => true,
        ),
    ),
    'title_field' => '{{{ label_info }}}',
),
array(
  'name' => 'align',
  'label' => esc_html__( 'Alignment', 'kimono' ),
  'type' => \Elementor\Controls_Manager::CHOOSE,
  'control_type' => 'responsive',
  'options' => [
    'left' => [
        'title' => esc_html__( 'Left', 'kimono' ),
        'icon' => 'eicon-text-align-left',
    ],
    'center' => [
        'title' => esc_html__( 'Center', 'kimono' ),
        'icon' => 'eicon-text-align-center',
    ],
    'right' => [
        'title' => esc_html__( 'Right', 'kimono' ),
        'icon' => 'eicon-text-align-right',
    ],
    'justify' => [
        'title' => esc_html__( 'Justified', 'kimono' ),
        'icon' => 'eicon-text-align-justify',
    ],
],
'selectors' => [
    '{{WRAPPER}} .pxl-post-detail .pxl--item' => 'text-align: {{VALUE}};',
],
),
),
),
array(
    'name' => 'section_style',
    'label' => esc_html__('Style', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'sub_color',
            'label' => esc_html__('Sub Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item label' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'sub_typography',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl--item label',
        ),
        array(
            'name' => 'sub_spacer_bottom',
            'label' => esc_html__('Sub Title Spacer Bottom', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl--item label' => 'margin-bottom: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item .item--content' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'link_color',
            'label' => esc_html__('Link Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item .item--content a' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'link_color_hover',
            'label' => esc_html__('Link Color Hover', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item .item--content a:hover' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_typography',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl--item .item--content',
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__('Border Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item + .pxl--item' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'item_spacer',
            'label' => esc_html__('Item Spacer', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl--item + .pxl--item' => 'margin-top: {{SIZE}}{{UNIT}}; padding-top: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'box_bg_color',
            'label' => esc_html__('Box Background Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-detail' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'box_padding',
            'label' => esc_html__('Box Padding', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-post-detail' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'box_border_radius',
            'label' => esc_html__('Box Border Radius', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-post-detail' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
kimono_widget_animation_settings(),
),
),
),
kimono_get_class_widget_path()
);