<?php
$slides_to_show = range( 1, 10 );
$slides_to_show = array_combine( $slides_to_show, $slides_to_show );
$templates_df = ['0' => esc_html__('None', 'kimono')];
$templates = $templates_df + kimono_get_templates_option('hidden-panel') ;

pxl_add_custom_widget(
    array(
        'name' => 'pxl_slider_carousel',
        'title' => esc_html__('BR Slider Carousel', 'kimono'),
        'icon' => 'eicon-slider-push',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'swiper',
            'pxl-swiper',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'kimono' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'kimono' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout4.jpg'
                                ],
                                '5' => [
                                    'label' => esc_html__('Layout 5', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout5.jpg'
                                ],
                                '6' => [
                                    'label' => esc_html__('Layout 6', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout6.jpg'
                                ],
                                '7' => [
                                    'label' => esc_html__('Layout 7', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout7.jpg'
                                ],
                                '8' => [
                                    'label' => esc_html__('Layout 8', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout8.jpg'
                                ],
                                '9' => [
                                    'label' => esc_html__('Layout 9', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout9.jpg'
                                ],
                                '10' => [
                                    'label' => esc_html__('Layout 10', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout10.jpg'
                                ],
                                '11' => [
                                    'label' => esc_html__('Layout 11', 'kimono' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout11.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'kimono'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'slider1',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['2', '3'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'image1',
                                    'label' => esc_html__( 'Image Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'sub_text1',
                                    'label' => esc_html__('Sub Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title1',
                                    'label' => esc_html__('Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 5,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'title_outline1',
                                    'label' => esc_html__('Title Outline', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'rows' => 10,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'btn_link1',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title1 }}}',
                        ),
                        array(
                            'name' => 'slider0',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['1'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'image0',
                                    'label' => esc_html__( 'Image Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'image_dark0',
                                    'label' => esc_html__( 'Image Dark', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'sub_text0',
                                    'label' => esc_html__('Sub Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title0',
                                    'label' => esc_html__('Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 10,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'btn_text0',
                                    'label' => esc_html__('Button Text', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'placeholder' => esc_html__('VIEW DETAILS', 'kimono'),
                                ),
                                array(
                                    'name' => 'btn_link0',
                                    'label' => esc_html__('Button Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title0 }}}',
                        ),
                        array(
                            'name' => 'slider7',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['7','11'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'image7',
                                    'label' => esc_html__( 'Image Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'sub_text7',
                                    'label' => esc_html__('Sub Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title7',
                                    'label' => esc_html__('Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 5,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'btn_link7',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title7 }}}',
                        ),
                        array(
                            'name' => 'slider8',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['8'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'image8',
                                    'label' => esc_html__( 'Image Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'btn_link8',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ image8 }}}',
                        ),
                        array(
                            'name' => 'slider2',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['4','6','10'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'video_link',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'default' => 'https://www.youtube.com/watch?v=SF4aHwxHtZ0',                  
                                ),
                                array(
                                    'name' => 'image4',
                                    'label' => esc_html__( 'Image Light', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'sub_text4',
                                    'label' => esc_html__('Sub Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title4',
                                    'label' => esc_html__('Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 5,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'desc4',
                                    'label' => esc_html__('Description', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 10,
                                    'show_label' => false,

                                ),
                                array(
                                    'name' => 'button_text1',
                                    'label' => esc_html__('Button Text 1', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'btn_link4',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                                array(
                                    'name' => 'button_text2',
                                    'label' => esc_html__('Button Text 2', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'btn_link2',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title4 }}}',
                        ),
                        array(
                            'name' => 'shape_one',
                            'label' => esc_html__( 'Shape One', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['4'],
                            ],
                        ),
                        array(
                            'name' => 'shape_two',
                            'label' => esc_html__( 'Shape Two', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['4'],
                            ],
                        ),
                        array(
                            'name' => 'title_logo',
                            'label' => esc_html__('Title Logo', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'rows' => 2,     
                            'condition' => [
                                'layout' => ['1','3','5','6','7','9','10','11'],
                            ],
                            'show_label' => false,
                        ),
                        array(
                            'name' => 'title_shadow',
                            'label' => esc_html__('Title Shadow', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'rows' => 2,     
                            'condition' => [
                                'layout' => ['11'],
                            ],
                            'show_label' => false,
                        ),
                        array(
                            'name' => 'box_width',
                            'label' => esc_html__('Box Width', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-slider-carousel .pxl-carousel-inner' => 'max-width: {{SIZE}}{{UNIT}};margin: 0 auto;',
                            ],
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                        array(
                            'name' => 'slider5',
                            'label' => esc_html__('Slider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['5','9'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'image5',
                                    'label' => esc_html__( 'Image', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'title5',
                                    'label' => esc_html__('Title', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 5,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'btn_link5',
                                    'label' => esc_html__('Link', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title5 }}}',
                        ),
                        array(
                            'name' => 'effect_slide',
                            'label' => esc_html__('Show Effect', 'kimono'),
                            'type' => \Elementor\Controls_Manager::SWITCHER,
                            'default' => 'false',
                            'condition' => [
                                'layout' => ['2','3','4','8','10'],
                            ],
                        ),
                        array(
                            'name' => 'show_shape',
                            'label' => esc_html__('Show Shape', 'kimono'),
                            'type' => \Elementor\Controls_Manager::SWITCHER,
                            'default' => 'false',
                            'condition' => [
                                'layout' => ['2'],
                            ],
                        ),
                        array(
                            'name' => 'style_slide',
                            'label' => esc_html__('Style', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'style1' => 'Style 1',
                                'style2' => 'Style 2',
                            ],
                            'default' => 'style1',
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array(
                            'name' => 'effect_style',
                            'label' => esc_html__('Effect Style', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'style' => 'Default',
                                'style1' => 'Style 1',
                                'style2' => 'Style 2',
                                'style3' => 'Style 3',
                                'style4' => 'Style 4',
                                'style5' => 'Style 5',
                                'style6' => 'Style 6',
                                'style7' => 'Style 7',
                            ],
                            'default' => 'style',
                            'condition' => [
                                'layout' => ['2','3','4','8','10'],
                                'effect_slide' => 'true',
                            ],
                        ),      
                        array(
                            'name' => 'divider',
                            'label' => esc_html__('Show Divider', 'kimono'),
                            'type' => \Elementor\Controls_Manager::SWITCHER,
                            'default' => 'false',
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array(
                            'name' => 'social_icon',
                            'label' => esc_html__('Social', 'kimono'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'icon_type',
                                    'label' => esc_html__('Type', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'icon' => esc_html__( 'Icon', 'kimono' ),
                                        'image' => esc_html__( 'Image', 'kimono' ),
                                    ],
                                    'default' => 'icon',
                                ),
                                array(
                                    'name' => 'icon_image',
                                    'label' => esc_html__( 'Image', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                    'condition' => [
                                        'icon_type' => 'image',
                                    ],
                                ),
                                array(
                                    'name' => 'pxl_icon',
                                    'label' => esc_html__('Icon', 'kimono' ),
                                    'type' => \Elementor\Controls_Manager::ICONS,
                                    'fa4compatibility' => 'icon',
                                    'condition' => [
                                        'icon_type' => 'icon',
                                    ],
                                ),
                                array(
                                    'name' => 'icon_link',
                                    'label' => esc_html__('Link', 'kimono'),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'label_block' => true,
                                ),
                            ),
                        ),
                        array(
                          'name' => 'align',
                          'label' => esc_html__( 'Alignment', 'kimono' ),
                          'type' => \Elementor\Controls_Manager::CHOOSE,
                          'control_type' => 'responsive',
                          'options' => [
                            'left' => [
                                'title' => esc_html__( 'Left', 'kimono' ),
                                'icon' => 'eicon-text-align-left',
                            ],
                            'center' => [
                                'title' => esc_html__( 'Center', 'kimono' ),
                                'icon' => 'eicon-text-align-center',
                            ],
                            'right' => [
                                'title' => esc_html__( 'Right', 'kimono' ),
                                'icon' => 'eicon-text-align-right',
                            ],
                            'justify' => [
                                'title' => esc_html__( 'Justified', 'kimono' ),
                                'icon' => 'eicon-text-align-justify',
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-slider-carousel .content--inner' => 'text-align: {{VALUE}};justify-content:center',
                        ],
                    ),
                        array(
                            'name' => 'carousel_style',
                            'label' => esc_html__('Slider Style', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'style1' => 'Style 1',
                                'style2' => 'Style 2',
                            ],
                            'default' => 'style1',
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                        array(
                            'name' => 'zoom_effect',
                            'label' => esc_html__('Zoom Effect', 'kimono' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'none' => 'None',
                                '1.1' => '1.1X',
                                '1.6' => '1.6X',
                                '2.4' => '2.4X',
                            ],
                            'default' => 'none',
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                        array(
                            'name' => 'content_padding7',
                            'label' => esc_html__('Content Padding', 'kimono' ),
                            'type' => 'dimensions',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-carousel-inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'condition' => [
                                'layout' => '7',
                            ],
                        ),
                    ),
),
array(
    'name' => 'section_left_slide',
    'label' => esc_html__('Slide Left', 'kimono'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'condition' => [
        'layout' => ['2'],
    ],
    'controls' => array(
        array(
            'name' => 'l_logo_light',
            'label' => esc_html__( 'Image Light', 'kimono' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
        ),
        array(
            'name' => 'l_logo_dark',
            'label' => esc_html__( 'Image Dark', 'kimono' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
        ),
        array(
            'name' => 'logo_link',
            'label' => esc_html__('Link', 'kimono' ),
            'type' => \Elementor\Controls_Manager::URL,
            'default' => [
                'url' => '#',
            ],
        ),
        array(
            'name' => 'template',
            'label' => esc_html__('Select Templates', 'kimono'),
            'type' => 'select',
            'options' => $templates,
            'default' => 'df'
        ),
    )
),
array(
    'name' => 'section_style_subtitle',
    'label' => esc_html__('Subtitle', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','2','3','4','10'],
    ],
    'controls' => array(
        array(
            'name' => 'sub_outline',
            'label' => esc_html__('Outline', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'condition' => [
                'layout' => ['2'],
            ],
            'default' => 'false',
        ),
        array(
            'name' => 'sub_title_color_outline',
            'label' => esc_html__('Sub Title Color Outline', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                
            ],
            'condition' => [
                'sub_outline' => 'true',
            ],
        ),
        array(
            'name' => 'darkmode_sub_title_color_outline',
            'label' => esc_html__('Sub Title Color Outline (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                                                
            ],
            'condition' => [
                'sub_outline' => 'true',
            ],
            'separator' => 'before',                            
        ),
        array(
            'name' => 'sub_title_color',
            'label' => esc_html__('Sub Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                
            ],
        ),
        array(
            'name' => 'darkmode_sub_title_color',
            'label' => esc_html__('Sub Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-item--subtitle' => 'color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                                                
            ],
        ),
        array(
            'name' => 'sub_title_typography',
            'label' => esc_html__('Sub Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-item--subtitle',
        ),
        array(
            'name' => 'sub_title_max_width',
            'label' => esc_html__( 'Sub Title Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'sub_title_margin',
            'label' => esc_html__('Sub Title Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
    ),
),
array(
    'name' => 'section_style_title_outline',
    'label' => esc_html__('Title Outline', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','2','3','4'],
    ],
    'controls' => array(
        array(
            'name' => 'title_outline_color',
            'label' => esc_html__('Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel .pxl-item--title-outline' => '-webkit-text-stroke-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'darkmode_title_outline_color',
            'label' => esc_html__('Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-slider-carousel .pxl-item--title-outline' => '-webkit-text-stroke-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_outline_typography',
            'label' => esc_html__('Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-slider-carousel .pxl-item--title-outline',
        ),
    ),
),
array(
    'name' => 'section_style_title',
    'label' => esc_html__('Title', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','2','3','4','10'],
    ],
    'controls' => array(
        array(
            'name' => 'title_outline',
            'label' => esc_html__('Outline', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'condition' => [
                'layout' => ['2'],
            ],
            'default' => 'false',
        ), 
        array(
            'name' => 'title_color_outline',
            'label' => esc_html__('Title Color Outline', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title:before' => '-webkit-text-fill-color: {{VALUE}};',
            ],
            'condition' => [
                'title_outline' => 'true',
            ],
        ),
        array(
            'name' => 'darkmode_title_color_outline',
            'label' => esc_html__('Title Color Outline (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-item--title:before' => '-webkit-text-fill-color: {{VALUE}};',                                                               
            ],
            'condition' => [
                'title_outline' => 'true',
            ],
            'separator' => 'before',                            
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'darkmode_title_color',
            'label' => esc_html__('Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-item--title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-item--title',
        ),
        array(
            'name' => 'title_max_width',
            'label' => esc_html__( 'Title Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'title_margin',
            'label' => esc_html__('Title Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style_title5',
    'label' => esc_html__('Title', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['5'],
    ],
    'controls' => array(
        array(
            'name' => 'title5_color',
            'label' => esc_html__('Title Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .slide-title' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'darkmode_title5_color',
            'label' => esc_html__('Title Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .slide-title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title5_typography',
            'label' => esc_html__('Title Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .slide-title',
        ),
        array(
            'name' => 'title_color_list',
            'label' => esc_html__('Title List Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} #showcase-slider-lists .slide-small-title' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'darkmode_title_color_list',
            'label' => esc_html__('Title List Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} #showcase-slider-lists .slide-small-title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_typography_list',
            'label' => esc_html__('Title List Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} #showcase-slider-lists .slide-small-title',
        ),
        array(
            'name' => 'title5_margin',
            'label' => esc_html__('Title Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .slide-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style_button',
    'label' => esc_html__('Button', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','4','10'],
    ],
    'controls' => array(
        array(
            'name' => 'button_color',
            'label' => esc_html__('Button Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .item--button, {{WRAPPER}} .item--button .btn-text' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line .btn-icon .line, {{WRAPPER}} .pxl-btn-line .btn-icon .dot' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line .btn-icon .circle, {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'darkmode_button_color',
            'label' => esc_html__('Button Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .item--button, .dark-mode {{WRAPPER}} .item--button .btn-text' => 'color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-btn-line .btn-icon .line, .dark-mode {{WRAPPER}} .pxl-btn-line .btn-icon .dot' => 'background-color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-btn-line .btn-icon .circle, .dark-mode {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'hover_button_color',
            'label' => esc_html__('Hover Button Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .item--button:hover, {{WRAPPER}} .item--button:hover .btn-text' => 'color: {{VALUE}}; text-decoration: underline {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .line, {{WRAPPER}} .pxl-btn-line:hover .btn-icon .dot' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .circle, {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'darkmode_hover_button_color',
            'label' => esc_html__('Hover Button Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .item--button:hover, .dark-mode {{WRAPPER}} .item--button:hover .btn-text' => 'color: {{VALUE}}; text-decoration: underline {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-btn-line:hover .btn-icon .line, .dark-mode {{WRAPPER}} .pxl-btn-line:hover .btn-icon .dot' => 'background-color: {{VALUE}};',
                '.dark-mode {{WRAPPER}} .pxl-btn-line:hover .btn-icon .circle, .dark-mode {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'button_typography',
            'label' => esc_html__('Button Typography', 'kimono' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .item--button',
        ),
        array(
            'name' => 'button_margin',
            'label' => esc_html__('Button Text Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--content .btn-text' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
        array(
            'name' => 'btn_line_width',
            'label' => esc_html__('Line Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-line .btn-icon .line' => 'width: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1', '2'],
            ],
        ),
        array(
            'name' => 'btn_line_height',
            'label' => esc_html__('Line Height', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-line .btn-icon .line' => 'height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1', '2'],
            ],
        ),
        array(
            'name' => 'circle_size',
            'label' => esc_html__('Circle Size', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-line .btn-icon .circle' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1', '2'],
            ],
        ),
        array(
            'name' => 'circle_width',
            'label' => esc_html__('Circle Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-line .btn-icon .circle' => 'border-width: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1', '2'],
            ],
        ),
        array(
            'name' => 'dot_size',
            'label' => esc_html__('Dot Size', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-line .btn-icon .dot' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1', '2'],
            ],
        ),
        array(
            'name' => 'content_line_color',
            'label' => esc_html__('Content Line Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .content--line' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1'],
            ],
        ),
        array(
            'name' => 'darkmode_content_line_color',
            'label' => esc_html__('Content Line Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .content--line' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1'],
            ],
        ),
        array(
            'name' => 'border_color_line',
            'label' => esc_html__('Border Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .btn-line:before,{{WRAPPER}} .btn-line:after,{{WRAPPER}} .btn-line span:before, {{WRAPPER}} .btn-line span:after' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['4'],
            ],
        ),
        array(
            'name' => 'dark_border_color_line',
            'label' => esc_html__('Border Color/Dark', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .btn-line:before,.dark-mode {{WRAPPER}} .btn-line:after,.dark-mode {{WRAPPER}} .btn-line span:before,.dark-mode {{WRAPPER}} .btn-line span:after' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['4'],
            ],
        ),
    ),
),
array(
    'name' => 'section_style_box',
    'label' => esc_html__('Box', 'kimono' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'box_bg_color',
            'label' => esc_html__('Box Background', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel2' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['2'],
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'darkmode_box_bg_color',
            'label' => esc_html__('Box Background (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-slider-carousel2' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['2'],
            ],
        ),
        array(
            'name' => 'content_margin',
            'label' => esc_html__('Content Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--content' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'content_max_height',
            'label' => esc_html__( 'Slider Max Height', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ,'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-sliders' => 'height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout!' => '2',
            ],
        ),
        array(
            'name' => 'content_max_width',
            'label' => esc_html__( 'Content Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--content' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout!' => '3',
            ],
        ),
        array(
            'name' => 'content_wrapper_max_width',
            'label' => esc_html__( 'Content Max Width', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .content--inner' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['3', '4'],
            ],
        ),
        array(
            'name' => 'content_padding',
            'label' => esc_html__('Content Padding', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .content--inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'layout!' => ['4','10'],
            ],
        ),
        array(
            'name' => 'content_padding10',
            'label' => esc_html__('Content Padding', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['10'],
            ],
        ),
        array(
            'name' => 'content_wrapper_padding',
            'label' => esc_html__('Content Padding', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .content--wrapper' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['3', '4', '6'],
            ],
        ),
        array(
            'name' => 'text_shadow_color',
            'label' => esc_html__('Text Shadow Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-title-shadow' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['11'],
            ],
        ),
        array(
            'name' => 'darkmode_text_shadow_color',
            'label' => esc_html__('Text Shadow Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-title-shadow' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['11'],
            ],
        ),
        array(
            'name' => 'bg_padding',
            'label' => esc_html__('Background Padding', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'bg_margin',
            'label' => esc_html__('Background Margin', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--inner' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
        array(
            'name' => 'carousel_margin',
            'label' => esc_html__('Carousel Margin', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', 'em', '%', 'rem' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-carousel-inner' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
    ),
),
array(
    'name' => 'section_settings_carousel',
    'label' => esc_html__('Settings', 'kimono'),
    'tab' => \Elementor\Controls_Manager::TAB_SETTINGS,
    'controls' => array(
        array(
            'name' => 'slide_direction',
            'label' => esc_html__('Slide Direction', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'horizontal',
            'options' => [
                'horizontal' => 'Horizontal',
                'vertical' => 'Vertical',
            ],
        ),
        array(
            'name' => 'slide_mode',
            'label' => esc_html__('Slide Mode', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'fade' => 'Fade',
                'cube' => 'Cube',
                'slide' => 'Slide',
                'creative' => 'Creative',
            ],
            'condition' => [
                'layout' => ['2','3','4','8','10'],
            ],
        ),
        array(
            'name' => 'col_xs',
            'label' => esc_html__('Columns XS Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_sm',
            'label' => esc_html__('Columns SM Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_md',
            'label' => esc_html__('Columns MD Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_lg',
            'label' => esc_html__('Columns LG Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xl',
            'label' => esc_html__('Columns XL Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xxl',
            'label' => esc_html__('Columns XXL Devices', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'inherit',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
                'inherit' => 'Inherit',
            ],
        ),
        array(
            'name' => 'slides_to_scroll',
            'label' => esc_html__('Slides to scroll', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'item_padding',
            'label' => esc_html__('Item Padding', 'kimono' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'default' => [
                'top' => '0',
                'right' => '0',
                'bottom' => '0',
                'left' => '0'
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-container' => 'margin-top: -{{TOP}}{{UNIT}}; margin-right: -{{RIGHT}}{{UNIT}}; margin-bottom: -{{BOTTOM}}{{UNIT}}; margin-left: -{{LEFT}}{{UNIT}};',
                '{{WRAPPER}} .pxl-swiper-container .pxl-swiper-slide' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'arrows',
            'label' => esc_html__('Show Arrows', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'arrows_style',
            'label' => esc_html__('Arrows Style', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'style1' => 'Style 1',
                'style2' => 'Style 2',
                'style3' => 'Style 3',
            ],
            'default' => 'style1',
            'condition' => [
                'arrows' => 'true',
            ]
        ),
        array(
            'name' => 'arrows_bg_color',
            'label' => esc_html__('Arrows Background Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style1 .pxl-swiper-arrow' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style1',
            ]
        ),
        array(
            'name' => 'darkmode_arrows_bg_color',
            'label' => esc_html__('Arrows Background Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .wp-arrow.style1 .pxl-swiper-arrow' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style1',
            ]
        ),
        array(
            'name' => 'arrows_disabled_bg_color',
            'label' => esc_html__('Arrows Disabled Background Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style1 .pxl-swiper-arrow.swiper-button-disabled' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style1',
            ]
        ),
        array(
            'name' => 'arrow_prev_horizontal_orientation',
            'label' => esc_html__('Arrow Prev Horizontal Orientation', 'kimono' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'kimono' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'kimono' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_left',
            'label' => esc_html__('Arrow Prev Offset Left', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_right',
            'label' => esc_html__('Arrow Prev Offset Right', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_next_horizontal_orientation',
            'label' => esc_html__('Arrow Next Horizontal Orientation', 'kimono' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'kimono' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'kimono' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_left',
            'label' => esc_html__('Arrow Next Offset Left', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_right',
            'label' => esc_html__('Arrow Next Offset Right', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_vertical_orientation',
            'label' => esc_html__('Arrow Vertical Orientation', 'kimono' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Top', 'kimono' ),
                    'icon' => 'eicon-v-align-top',
                ],
                'end' => [
                    'title' => esc_html__( 'Bottom', 'kimono' ),
                    'icon' => 'eicon-v-align-bottom',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_offset_y',
            'label' => esc_html__('Arrow Offset Y', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'top: {{SIZE}}{{UNIT}}; bottom: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_offset_y_end',
            'label' => esc_html__('Arrow Offset Y', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'bottom: {{SIZE}}{{UNIT}}; top: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'pagination',
            'label' => esc_html__('Show Pagination', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'pagination_type',
            'label' => esc_html__('Pagination Type', 'kimono' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'bullets',
            'options' => [
                'bullets' => 'Bullets',
                'fraction' => 'Fraction',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'pagination_margin',
            'label' => esc_html__('Pagination Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'wp_arrow_margin',
            'label' => esc_html__('Arrow/Pagination Margin', 'kimono' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pagination' => 'true',
                'arrows' => 'true',
            ]
        ),
        array(
            'name' => 'bullets_color',
            'label' => esc_html__('Bullets Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .pxl-swiper-pagination-bullet:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'darkmode_bullets_color',
            'label' => esc_html__('Bullets Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-swiper-dots .pxl-swiper-pagination-bullet:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'active_bullets_color',
            'label' => esc_html__('Bullets Color Active', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .swiper-pagination-bullet-active:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'darkmode_active_bullets_color',
            'label' => esc_html__('Bullets Color Active (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-swiper-dots .swiper-pagination-bullet-active:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ],
        ),
        array(
            'name' => 'fraction_color',
            'label' => esc_html__('Fraction Color', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots.pxl-swiper-pagination-fraction' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'fraction',
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'darkmode_fraction_color',
            'label' => esc_html__('Fraction Color (Dark Mode)', 'kimono' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '.dark-mode {{WRAPPER}} .pxl-swiper-dots.pxl-swiper-pagination-fraction' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'fraction',
                'pagination' => 'true'
            ],
        ),
        array(
            'name' => 'pause_on_hover',
            'label' => esc_html__('Pause on Hover', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'separator' => 'before',
        ),
        array(
            'name' => 'autoplay',
            'label' => esc_html__('Autoplay', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'autoplay_speed',
            'label' => esc_html__('Autoplay Speed', 'kimono'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 5000,
            'condition' => [
                'autoplay' => 'true'
            ]
        ),
        array(
            'name' => 'infinite',
            'label' => esc_html__('Infinite Loop', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'center',
            'label' => esc_html__('Center', 'kimono'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'speed',
            'label' => esc_html__('Animation Speed', 'kimono'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 1600,
        ),
        array(
            'name' => 'stretch_cover',
            'label' => esc_html__('Stretch', 'kimono'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 0,
        ),
    ),
),
kimono_widget_animation_settings()
),
),
),
kimono_get_class_widget_path()
);