<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
get_template_part( 'inc/admin/libs/tgmpa/class-tgm-plugin-activation' );

add_action( 'tgmpa_register', 'kimono_register_required_plugins' );
function kimono_register_required_plugins() {
    include( locate_template( 'inc/admin/demo-data/demo-config.php' ) );
    $pxl_server_info = apply_filters( 'pxl_server_info', ['plugin_url' => 'https://api.bravisthemes.com/plugins/'] ) ;
    $default_path = $pxl_server_info['plugin_url'];
    $images = get_template_directory_uri() . '/inc/admin/assets/img/plugins';
    $plugins = array(
        array(
            'name'               => esc_html__('Bravis Addons', 'kimono'),
            'slug'               => 'bravis-addons',
            'source'             => 'bravis-addons.zip',
            'required'           => true,
            'logo'        => $images . '/bravis-logo.png',
            'description' => esc_html__( 'Main process and Powerful Elements Plugin, exclusively for Kimono WordPress Theme.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Redux Framework', 'kimono'),
            'slug'               => 'redux-framework',
            'required'           => true,
            'logo'        => $images . '/redux.png',
            'description' => esc_html__( 'Build theme options and post, page options for WordPress Theme.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Bravis User', 'kimono'),
            'slug'               => 'bravis-user',
            'source'             => 'bravis-user.zip',
            'required'           => true,
            'logo'        => $images . '/wp-user.png',
            'description' => esc_html__( 'Bravis User can help you login and log out of account management in the fastest and simplest way.', 'kimono' ),
        ), 

        array(
            'name'               => esc_html__('Booked', 'kimono'),
            'slug'               => 'booked',
            'source'             => 'booked.zip',
            'required'           => true,
            'logo'        => $images . '/event.png',
            'description' => esc_html__( 'Booked is a plugin help you book appointment.', 'kimono' ),
        ), 

        array(
            'name'               => esc_html__('Elementor', 'kimono'),
            'slug'               => 'elementor',
            'required'           => true,
            'logo'        => $images . '/elementor.png',
            'description' => esc_html__( 'Introducing a WordPress website builder, with no limits of design. A website builder that delivers high-end page designs.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Contact Form 7', 'kimono'),
            'slug'               => 'contact-form-7',
            'required'           => true,
            'logo'        => $images . '/contact-f7.png',
            'description' => esc_html__( 'Contact Form 7 can manage multiple contact forms, you can customize the form and the mail contents flexibly with simple markup', 'kimono' ),

        ),

        array(
            'name'               => esc_html__('WooCommerce', 'kimono'),
            'slug'               => "woocommerce",
            'required'           => true,
            'logo'        => $images . '/woo.png',
            'description' => esc_html__( 'WooCommerce is the world’s most popular open-source eCommerce solution.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('WPC AJAX Add to Cart', 'kimono'),
            'slug'               => "wpc-ajax-add-to-cart",
            'required'           => false,
            'logo'        => $images . '/woo-ajax-add-to-cart.png',
            'description' => esc_html__( 'WPC AJAX Add to Cart for WooCommerce is a highly effective plugin for helping online stores cut down the site’s loading time.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Variation Swatches for WooCommerce', 'kimono'),
            'slug'               => "woo-variation-swatches",
            'required'           => false,
            'logo'        => $images . '/woo-variation-swatches.gif',
            'description' => esc_html__( 'Variation Swatches is easy to use WooCommerce product variation swatches plugin.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Wishlist for WooCommerce', 'kimono'),
            'slug'               => "woo-smart-wishlist",
            'required'           => false,
            'logo'        => $images . '/woo-smart-wishlist.png',
            'description' => esc_html__( 'WPC Smart Wishlist is a simple but powerful tool that can help your customer save products for buying later.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Smart Quick View for WooCommerce', 'kimono'),
            'slug'               => "woo-smart-quick-view",
            'required'           => false,
            'logo'        => $images . '/woo-smart-quickview.png',
            'description' => esc_html__( 'WPC Smart Quick View allows users to get a quick look of products without opening the product page.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Compare for WooCommerce', 'kimono'),
            'slug'               => "woo-smart-compare",
            'required'           => false,
            'logo'        => $images . '/woo-smart-compare.png',
            'description' => esc_html__( 'WPC Smart Compare is an extension of WooCommerce plugin that allows your users to compare some products of your shop.', 'kimono' ),
        ),

        array(
            'name'               => esc_html__('Disable Lazy Load', 'kimono'),
            'slug'               => "disable-lazy-loading",
            'required'           => false,
            'logo'        => $images . '/ds-lazy.jpg',
            'description' => esc_html__( 'Does one thing: disables WP Lazy Load feature.', 'kimono' ),
        ),

    );


$config = array(
        'default_path' => $default_path,           // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'is_automatic' => true,
    );

tgmpa( $plugins, $config );

}