<?php

if (!class_exists('Kimono_Page')) {

    class Kimono_Page
    {
        public function get_site_loader(){

            $site_loader = kimono()->get_theme_opt( 'site_loader', false );
            $loader_style = kimono()->get_theme_opt( 'loader_style', 'style-text' );
            $loading_text = kimono()->get_theme_opt( 'loading_text' );
            $loader_logo = kimono()->get_opt('loader_logo' );

            $loading_page = kimono()->get_page_opt( 'loading_page', '-1');
            $loading_type_page = kimono()->get_page_opt( 'loader_style', 'style-text');
            $loading_text_page = kimono()->get_page_opt( 'loading_text', '' );

            if($loading_page == 'bd') {
                $loader_style = $loading_type_page;
            }
            if($loading_page == 'bd' && ($loading_type_page == 'style-text' || $loading_type_page == 'style-text-blend') ) {
                $loading_text = $loading_text_page;
            }

            if($site_loader) { ?>
                <div id="pxl-loadding" class="pxl-loader <?php echo esc_attr($loader_style); ?>">
                    <div class="pxl-loader-inner">
                        <?php switch ($loader_style) {
                            case 'style-text': ?>
                            <div class="preloader-inner">
                                <div class="spinner"></div>
                                <?php if(!empty($loading_text)) { ?>
                                    <div class="loading-text">
                                        <?php $characters = mb_str_split($loading_text);
                                        foreach ($characters as $character) {
                                            $encoded_character = htmlspecialchars($character, ENT_COMPAT, 'UTF-8', false);
                                            echo '<span data-text="' . $encoded_character . '">' . $encoded_character . '</span>';
                                        }
                                        ?>
                                    </div>
                                <?php } ?>
                            </div>
                            <?php break;

                            case 'style-text-blend': ?>
                            <div class="preloader-inner">
                                <?php if(!empty($loading_text)) { ?>
                                    <div class="loading-text">
                                        <span><?php echo esc_html($loading_text); ?></span>
                                    </div>
                                <?php } ?>
                            </div>
                            <?php break;

                            case 'style-home-assistant': ?>
                            <div class="preloader-inner">
                                <?php if(!empty($loader_logo['url'])){ ?>
                                    <div class="loader-logo"><img src="<?php echo esc_url($loader_logo['url']); ?>" /></div>
                                <?php }else { ?>
                                    <svg xmlns="http://www.w3.org/2000/svg" width="200" height="58" viewBox="0 0 200 58" fill="none">
                                        <path d="M9.17 38V15.897H14.13V24.918H21.508L28.793 15.897H34.962L25.848 26.933L34.962 38H28.793L21.477 28.948H14.13V38H9.17ZM39.9254 38V15.835H44.8854V38H39.9254ZM51.6993 38V15.835H55.8533L66.1143 23.027H66.2693L76.5303 15.835H80.6843V38H75.7243V22.035L68.6873 26.747V38H63.7273V26.747L56.6593 22.035V38H51.6993ZM127.464 38V15.835H132.486L148.172 31.769V15.835H153.132V38H148.11L132.424 22.035V38H127.464ZM171.136 38.155C167.189 38.155 164.13 37.2147 161.96 35.334C159.79 33.4327 158.705 30.622 158.705 26.902C158.705 23.2027 159.79 20.4127 161.96 18.532C164.13 16.6307 167.261 15.68 171.353 15.68H176.933C181.025 15.68 184.156 16.6307 186.326 18.532C188.496 20.4127 189.581 23.2027 189.581 26.902C189.581 30.622 188.496 33.4327 186.326 35.334C184.156 37.2147 181.077 38.155 177.088 38.155H171.136ZM171.694 19.71C169.4 19.71 167.612 20.1233 166.331 20.95C165.05 21.7767 164.244 23.089 163.913 24.887H184.373C184.042 23.089 183.236 21.7767 181.955 20.95C180.674 20.1233 178.886 19.71 176.592 19.71H171.694ZM171.787 34.125H176.592C178.907 34.125 180.694 33.7117 181.955 32.885C183.236 32.0583 184.042 30.7357 184.373 28.917H163.913C164.244 30.7357 165.05 32.0583 166.331 32.885C167.612 33.7117 169.431 34.125 171.787 34.125Z" fill="white"/>
                                        <path d="M199.998 18.3877C199.998 18.3859 199.998 18.3841 199.998 18.3822C199.922 13.2982 197.839 8.57439 194.132 5.08268C190.428 1.59281 185.591 -0.206063 180.507 0.0187957C180.112 0.0370768 179.801 0.366138 179.809 0.761012C179.891 5.84866 181.975 10.5707 185.677 14.0587C189.176 17.3548 193.688 19.1427 198.461 19.1427C198.487 19.1427 198.512 19.1409 198.538 19.1409V42.9412C198.538 48.7327 193.827 53.4437 188.035 53.4437H183.849C183.445 53.4437 183.118 53.771 183.118 54.175C183.118 54.579 183.445 54.9062 183.849 54.9062H188.035C194.633 54.9062 200 49.5389 200 42.9412V18.3932C199.998 18.3914 199.998 18.3896 199.998 18.3877ZM198.463 17.6802C194.063 17.6802 189.905 16.0331 186.681 12.9948C183.445 9.94731 181.551 5.87609 181.297 1.46301C185.714 1.45021 189.893 3.09735 193.13 6.14665C196.37 9.19778 198.264 13.2708 198.51 17.6802C198.496 17.6802 198.479 17.6802 198.463 17.6802Z" fill="#F85623"/>
                                        <path d="M14.3233 43.8865C10.806 40.574 6.26313 38.7861 1.46249 38.8044V15.0041C1.46249 9.21262 6.17355 4.50156 11.965 4.50156H16.1514C16.5554 4.50156 16.8827 4.17432 16.8827 3.77031C16.8827 3.3663 16.5554 3.03906 16.1514 3.03906H11.965C5.36735 3.03906 0 8.40642 0 15.0041V39.5521C0 39.5539 0 39.5557 0 39.5576C0 39.5594 0 39.5612 0 39.563C0.076781 44.647 2.15901 49.3709 5.86643 52.8626C9.36362 56.1587 13.8736 57.9448 18.645 57.9448C18.9265 57.9448 19.2099 57.9393 19.4932 57.9265C19.8881 57.9082 20.1989 57.5791 20.1916 57.1843C20.1075 52.0966 18.0234 47.3746 14.3233 43.8865ZM6.86824 51.7986C3.62881 48.7475 1.73488 44.6745 1.48809 40.265C5.91213 40.2504 10.0839 41.9012 13.3197 44.9505C16.5536 47.998 18.4494 52.0692 18.7017 56.4823C14.2886 56.4932 10.1058 54.8479 6.86824 51.7986Z" fill="#F85623"/>
                                    </svg>
                                    <svg class="wheel" xmlns="http://www.w3.org/2000/svg" width="34" height="34" viewBox="0 0 34 34" fill="none">
                                        <path d="M33.062 16.9719C33.062 14.1237 32.3381 11.4418 31.0639 9.1C31.042 9.04698 31.0127 8.9958 30.9798 8.95009C28.2102 3.98675 22.958 0.590109 16.9124 0.456656C16.885 0.454828 16.8558 0.452999 16.8284 0.454827C16.7333 0.452999 16.6382 0.451172 16.5413 0.451172C10.6 0.451172 5.3825 3.60285 2.47214 8.32305C2.43192 8.37241 2.40084 8.42542 2.37525 8.48209C0.881677 10.9647 0.0224609 13.8696 0.0224609 16.9719C0.0224609 19.8201 0.746396 22.5019 2.02059 24.8438C2.04253 24.8968 2.07178 24.948 2.10469 24.9937C4.86697 29.946 10.1027 33.339 16.13 33.4871C16.1519 33.4889 16.1757 33.4907 16.1977 33.4907C16.2123 33.4907 16.2287 33.4889 16.2434 33.4871C16.3421 33.4889 16.4426 33.4907 16.5432 33.4907C22.4845 33.4907 27.702 30.3391 30.6124 25.6189C30.6526 25.5695 30.6837 25.5165 30.7093 25.4598C32.201 22.9791 33.062 20.0742 33.062 16.9719ZM30.0237 23.6683L25.947 16.6063L22.1939 10.1073H29.936C30.9963 12.1676 31.5995 14.5003 31.5995 16.9719C31.5995 19.3777 31.0292 21.65 30.0237 23.6683ZM20.5047 23.8383H12.578L8.61461 16.9737L12.578 10.1091H20.5047L24.4681 16.9737L20.5047 23.8383ZM29.0786 8.6448H20.927H13.4226L17.2963 1.93378C22.2085 2.17692 26.5082 4.78747 29.0786 8.6448ZM15.5999 1.94657L11.5213 9.01042L7.7682 15.5094L3.89807 8.80567C6.42453 4.91178 10.6968 2.25004 15.5999 1.94657ZM3.05897 10.2773L7.13567 17.3393L10.8888 23.8383H3.14671C2.08641 21.778 1.48313 19.4453 1.48313 16.9737C1.48313 14.5679 2.05167 12.2955 3.05897 10.2773ZM4.00227 25.3008H12.1539H19.6583L15.7845 32.0118C10.8723 31.7668 6.57261 29.1563 4.00227 25.3008ZM17.481 31.9972L21.5595 24.9333L25.3126 18.4344L29.1828 25.1381C26.6581 29.0338 22.384 31.6937 17.481 31.9972Z" fill="#F85623"/>
                                    </svg>
                                <?php } ?>
                            </div>
                            <?php break;

                            default: ?>
                            <div class="loader-triangle">
                                <svg viewBox="0 0 86 80">
                                    <polygon points="43 8 79 72 7 72"></polygon>
                                </svg>
                            </div>
                            <?php break;
                        } ?>
                    </div>
                </div>
            <?php }
        }

        public function get_link_pages() {
            wp_link_pages( array(
                'before'      => '<div class="page-links">',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
            ) );
        }

        public function get_page_title(){
            $pt_mode = kimono()->get_opt('pt_mode');
            if( $pt_mode == 'none' ) return;
            $ptitle_layout = (int)kimono()->get_opt('ptitle_layout');                        
            $titles = $this->get_title();
            if ($pt_mode == 'bd' && $ptitle_layout > 0 && class_exists('Pxltheme_Core') && is_callable( 'Elementor\Plugin::instance' )) {
                ?>
                <div id="pxl-page-title-elementor">
                    <?php echo Elementor\Plugin::$instance->frontend->get_builder_content_for_display( $ptitle_layout);?>
                </div>
                <?php
            } else {
                $ptitle_breadcrumb_on = kimono()->get_opt( 'ptitle_breadcrumb_on', '1' );
                $ptitle_background_on = kimono()->get_opt( 'ptitle_background_on', '1' );
                $sg_post_title = kimono()->get_theme_opt('sg_post_title', 'default');
                $sg_post_title_text = kimono()->get_theme_opt('sg_post_title_text');
                $ptitle_divider_on = kimono()->get_opt( 'ptitle_divider_on', '1' ); ?>
                <div id="pxl-page-title-default" class="pxl-section-bg-parallax">   
                    <?php if($ptitle_background_on == '1') : ?>                    
                        <div class="pxl-elementor-bg-parallax"><div class="parallax-element"></div></div>
                    <?php endif; ?>
                    <?php if($ptitle_divider_on == '1') : ?>                    
                        <div class="pxl-divider-line"><div class="pxl-divider-border-left"></div><div class="pxl-divider-border-right"></div></div>
                    <?php endif; ?>                    
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="pxl-page-title-inner">
                                    <h2 class="pxl-page-title wow skewInRight">
                                        <?php if(is_singular('post') && $sg_post_title == 'custom_text') { ?>
                                            <?php echo pxl_print_html($sg_post_title_text); ?>          
                                        <?php } else { ?>
                                            <?php echo kimono_html($titles['title']) ?>                                          
                                        <?php } ?>  
                                    </h2>
                                    <?php if($ptitle_breadcrumb_on == '1') : ?>
                                        <?php $this->get_breadcrumb(); ?>   
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }
        }

        public function get_title() {
            $title = '';
            // Default titles
            if ( ! is_archive() ) {
                // Posts page view
                if ( is_home() ) {
                    // Only available if posts page is set.
                    if ( ! is_front_page() && $page_for_posts = get_option( 'page_for_posts' ) ) {
                        $title = get_post_meta( $page_for_posts, 'custom_title', true );
                        if ( empty( $title ) ) {
                            $title = get_the_title( $page_for_posts );
                        }
                    }
                    if ( is_front_page() ) {
                        $title = esc_html__( 'Blog', 'kimono' );
                    }
                } // Single page view
                elseif ( is_page() ) {
                    $title = get_post_meta( get_the_ID(), 'custom_title', true );
                    if ( ! $title ) {
                        $title = get_the_title();
                    }
                } elseif ( is_404() ) {
                    $title = esc_html__( '404', 'kimono' );
                } elseif ( is_search() ) {
                    $title = esc_html__( 'Search results', 'kimono' );
                } elseif ( is_singular('lp_course') ) {
                    $title = esc_html__( 'Course', 'kimono' );
                } else {
                    $title = get_post_meta( get_the_ID(), 'custom_title', true );
                    if ( ! $title ) {
                        $title = get_the_title();
                    }
                }
            } else {
                $title = get_the_archive_title();
                if( (class_exists( 'WooCommerce' ) && is_shop()) ) {
                    $title = get_post_meta( wc_get_page_id('shop'), 'custom_title', true );
                    if(!$title) {
                        $title = get_the_title( get_option( 'woocommerce_shop_page_id' ) );
                    }
                }
            }

            return array(
                'title' => $title,
            );
        }

        public function get_breadcrumb(){

            if ( ! class_exists( 'Kimono_Breadcrumb' ) )
            {
                return;
            }

            $breadcrumb = new Kimono_Breadcrumb();
            $entries = $breadcrumb->get_entries();

            if ( empty( $entries ) )
            {
                return;
            }

            ob_start();

            foreach ( $entries as $entry )
            {
                $entry = wp_parse_args( $entry, array(
                    'label' => '',
                    'url'   => ''
                ) );

                $entry_label = $entry['label'];

                if(!empty($_GET['blog_title'])) {
                    $blog_title = $_GET['blog_title'];
                    $custom_title = explode('_', $blog_title);
                    foreach ($custom_title as $index => $value) {
                        $arr_str_b[$index] = $value;
                    }
                    $str = implode(' ', $arr_str_b);
                    $entry_label = $str;
                }

                if ( empty( $entry['label'] ) )
                {
                    continue;
                }

                echo '<li>';

                if ( ! empty( $entry['url'] ) )
                {
                    printf(
                        '<a class="breadcrumb-entry" data-hover="%2$s" href="%1$s">%2$s</a>',
                        esc_url( $entry['url'] ),
                        esc_attr( $entry['label'] )
                    );
                }
                else
                {
                    $sg_post_title = kimono()->get_theme_opt('sg_post_title', 'default');
                    $sg_post_title_text = kimono()->get_theme_opt('sg_post_title_text');
                    if(is_singular('post') && $sg_post_title == 'custom_text' && !empty($sg_post_title_text)) {
                        $entry_label = $sg_post_title_text;
                    }
                    $sg_product_ptitle = kimono()->get_theme_opt('sg_product_ptitle', 'default');
                    $sg_product_ptitle_text = kimono()->get_theme_opt('sg_product_ptitle_text');
                    if(is_singular('product') && $sg_product_ptitle == 'custom_text' && !empty($sg_product_ptitle_text)) {
                        $entry_label = $sg_product_ptitle_text;
                    }
                    printf( '<span class="breadcrumb-entry" >%s</span>', esc_html( $entry_label ) );
                }

                echo '</li>';
            }

            $output = ob_get_clean();

            if ( $output )
            {
                printf( '<ul class="pxl-breadcrumb">%s</ul>', wp_kses_post($output));
            }
        }

        public function get_pagination( $query = null, $ajax = false ){

            if($ajax){
                add_filter('paginate_links', 'kimono_ajax_paginate_links');
            }

            $classes = array();

            if ( empty( $query ) )
            {
                $query = $GLOBALS['wp_query'];
            }

            if ( empty( $query->max_num_pages ) || ! is_numeric( $query->max_num_pages ) || $query->max_num_pages < 2 )
            {
                return;
            }

            $paged = $query->get( 'paged', '' );

            if ( ! $paged && is_front_page() && ! is_home() )
            {
                $paged = $query->get( 'page', '' );
            }

            $paged = $paged ? intval( $paged ) : 1;

            $pagenum_link = html_entity_decode( get_pagenum_link() );
            $query_args   = array();
            $url_parts    = explode( '?', $pagenum_link );

            if ( isset( $url_parts[1] ) )
            {
                wp_parse_str( $url_parts[1], $query_args );
            }

            $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
            $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';
            $paginate_links_args = array(
                'base'     => $pagenum_link,
                'total'    => $query->max_num_pages,
                'current'  => $paged,
                'mid_size' => 1,
                'add_args' => array_map( 'urlencode', $query_args ),
                'prev_text' => '',
                'next_text' => '',
            );
            if($ajax){
                $paginate_links_args['format'] = '?page=%#%';
            }
            $links = paginate_links( $paginate_links_args );
            if ( $links ):
                ?>
                <nav class="pxl-pagination-wrap <?php echo esc_attr($ajax?'ajax':''); ?>">
                    <div class="pxl-pagination-links">
                        <?php
                        echo wp_kses_post($links);
                        ?>
                    </div>
                </nav>
                <?php
            endif;
        }
    }
}
