<?php

if (!class_exists('Kimono_Shop')) {

    class Kimono_Shop
    {
        public function getShop()
        {
            if(is_singular('elementor_library')) return;
            $shop_layout = (int)kimono()->get_opt('shop_layout');

            if ($shop_layout <= 0 || !class_exists('Pxltheme_Core') || !is_callable( 'Elementor\Plugin::instance' )) {
                return;
            } else {
                $args = [
                    'shop_layout' => $shop_layout
                ];
                if(isset($args['shop_layout']) && $args['shop_layout'] > 0) : ?>
                    <div class="pxl-woocommerce-elementor">
                        <div class="container">
                            <div class="row">
                                <div class="col-12">
                                    <?php $post = get_post($args['shop_layout']);
                                    if (!is_wp_error($post) && function_exists('pxl_print_html')){
                                        $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $args['shop_layout'] );
                                        pxl_print_html($content);
                                    } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif;
            }

        }

        public function getProduct()
        {
            if(is_singular('elementor_library')) return;
            $shop_single_layout = (int)kimono()->get_opt('shop_single_layout');

            if ($shop_single_layout <= 0 || !class_exists('Pxltheme_Core') || !is_callable( 'Elementor\Plugin::instance' )) {
                return;
            } else {
                $args = [
                    'shop_single_layout' => $shop_single_layout
                ];
                if(isset($args['shop_single_layout']) && $args['shop_single_layout'] > 0) : ?>
                    <div class="pxl-woocommerce-elementor">
                        <div class="container">
                            <div class="row">
                                <div class="col-12">
                                    <?php $post = get_post($args['shop_single_layout']);
                                    if (!is_wp_error($post) && function_exists('pxl_print_html')){
                                        $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $args['shop_single_layout'] );
                                        pxl_print_html($content);
                                    } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif;
            }

        }

        public function getHeaderFixed()
        {
            if(is_singular('elementor_library')) return;
            $header_fixed_layout = (int)kimono()->get_opt('header_fixed_layout');

            if ($header_fixed_layout <= 0 || !class_exists('Pxltheme_Core') || !is_callable( 'Elementor\Plugin::instance' )) {
                return;
            } else {
                $args = [
                    'header_fixed_layout' => $header_fixed_layout
                ];
                if(isset($args['header_fixed_layout']) && $args['header_fixed_layout'] > 0) : ?>
                    <div class="pxl-ml-menu">
                        <?php $post = get_post($args['header_fixed_layout']);
                        if (!is_wp_error($post) && function_exists('pxl_print_html')){
                            $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $args['header_fixed_layout'] );
                            pxl_print_html($content);
                        } ?>
                    </div>
                <?php endif;
            }

        }

    }
}
