<?php
// make some configs
if(!function_exists('kimono_configs')){
    function kimono_configs($value){

        $configs = [
            'theme_colors' => [
                'primary'   => [
                    'title' => esc_html__('Primary', 'kimono').' ('.kimono()->get_opt('primary_color', '#151515').')',
                    'value' => kimono()->get_opt('primary_color', '#151515')
                ],
                'secondary'   => [
                    'title' => esc_html__('Secondary', 'kimono').' ('.kimono()->get_opt('secondary_color', '#B90808').')',
                    'value' => kimono()->get_opt('secondary_color', '#B90808')
                ],
                'third'   => [
                    'title' => esc_html__('Third', 'kimono').' ('.kimono()->get_opt('third_color', '#585858').')',
                    'value' => kimono()->get_opt('third_color', '#585858')
                ],
                'fourth'   => [
                    'title' => esc_html__('Fourth', 'kimono').' ('.kimono()->get_opt('fourth_color', '#FFFFFF').')',
                    'value' => kimono()->get_opt('fourth_color', '#FFFFFF')
                ],
                'fifth'   => [
                    'title' => esc_html__('Fifth', 'kimono').' ('.kimono()->get_opt('fifth_color', '#dddddd').')',
                    'value' => kimono()->get_opt('fifth_color', '#dddddd')
                ],
                'sixth'   => [
                    'title' => esc_html__('Sixth', 'kimono').' ('.kimono()->get_opt('sixth_color', '#3C3C3C').')',
                    'value' => kimono()->get_opt('sixth_color', '#3C3C3C')
                ],
                'bglight'   => [
                    'title' => esc_html__('Background Light', 'kimono').' ('.kimono()->get_opt('bg_light_color', '#FFFFFF').')',
                    'value' => kimono()->get_opt('bg_light_color', '#FFFFFF')
                ],
                'bgdark'   => [
                    'title' => esc_html__('Background Dark', 'kimono').' ('.kimono()->get_opt('bg_dark_color', '#151515').')',
                    'value' => kimono()->get_opt('bg_dark_color', '#151515')
                ],
                'gridlight'   => [
                    'title' => esc_html__('Grid Light', 'kimono').' ('.kimono()->get_opt('bg_grid_light', '#E6E6E6').')',
                    'value' => kimono()->get_opt('bg_grid_light', '#E6E6E6')
                ],
                'griddark'   => [
                    'title' => esc_html__('Grid Dark', 'kimono').' ('.kimono()->get_opt('bg_grid_dark', '#2e2e2e').')',
                    'value' => kimono()->get_opt('bg_grid_dark', '#2e2e2e')
                ]
            ],
            'link' => [
                'color' => kimono()->get_opt('link_color', ['regular' => '#dddddd'])['regular'],
                'color-hover'   => kimono()->get_opt('link_color', ['hover' => '#B90808'])['hover'],
                'color-active'  => kimono()->get_opt('link_color', ['active' => '#B90808'])['active'],
            ],
            'gradient' => [
                'color-from' => kimono()->get_opt('gradient_color', ['from' => '#B90808'])['from'],
                'color-to' => kimono()->get_opt('gradient_color', ['to' => '#151515'])['to'],
            ],

        ];
        return $configs[$value];
    }
}
if(!function_exists('kimono_inline_styles')) {
    function kimono_inline_styles() {

        $theme_colors      = kimono_configs('theme_colors');
        $link_color        = kimono_configs('link');
        $gradient_color    = kimono_configs('gradient');

        ob_start();
        echo ':root{';

        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color: %2$s;', str_replace('#', '',$color),  $value['value']);
        }
        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color-rgb: %2$s;', str_replace('#', '',$color),  kimono_hex_rgb($value['value']));
        }
        foreach ($link_color as $color => $value) {
            printf('--link-%1$s: %2$s;', $color, $value);
        }      
        foreach ($gradient_color as $color => $value) {
            printf('--gradient-%1$s: %2$s;', $color, $value);
        }
        echo '}';

        return ob_get_clean();

    }
}
