<?php
/**
 * @package Bravisthemes
 */
$archive_author = kimono()->get_theme_opt('archive_author', true);
$archive_excerpt_on = kimono()->get_theme_opt('archive_excerpts', false);
$archive_excerpt = get_the_excerpt($post->ID);
$thumbnail_url = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('pxl-item--archive'); ?>>
    <?php if (has_post_thumbnail()) {
        echo '<div class="item--featured">'; ?>
        <a href="<?php echo esc_url( get_permalink()); ?>"><?php the_post_thumbnail('kimono-thumb-medium'); ?></a>
        <?php echo '</div>';
    } ?>
    <div class="item--holder">
        <?php kimono()->blog->get_archive_meta(); ?>
        <h5 class="item--title">
            <a href="<?php echo esc_url( get_permalink()); ?>" title="<?php the_title_attribute(); ?>">
                <?php if(is_sticky()) { ?>
                    <i class="caseicon-check-mark"></i>
                <?php } ?>
                <?php the_title(); ?>
            </a>
        </h5>
        <?php if($archive_excerpt_on && !empty($archive_excerpt)): ?>
            <div class="item--excerpt">
                <?php
                kimono()->blog->get_excerpt();
                wp_link_pages( array(
                    'before'      => '<div class="page-links">',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ) );
                ?>
            </div>
        <?php endif; ?>
        <?php if($archive_author) : ?>                   
            <div class="pxl-item--author">
                <?php 
                $postID = get_the_ID();
                $author = get_user_by('ID', get_post_field('post_author', $postID));                
                $avatar_url = get_avatar_url($author->ID);
                $author_name = $author->display_name; ?> 
                <?php echo esc_html__('By', 'kimono'); ?>&nbsp;<?php the_author_posts_link(); ?></div>
            <?php endif; ?>
        </div>
    </article>